/* -*- C++ -*- */
 
/****************************************************************************
** Copyright (c) quickfixengine.org  All rights reserved.
**
** This file is part of the QuickFIX FIX Engine
**
** This file may be distributed under the terms of the quickfixengine.org
** license as defined by quickfixengine.org and appearing in the file
** LICENSE included in the packaging of this file.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
** See http://www.quickfixengine.org/LICENSE for licensing information.
**
** Contact ask@quickfixengine.org if any conditions of this licensing are
** not clear to you.
**
****************************************************************************/
 
#ifndef FIX_VALUES_H
#define FIX_VALUES_H

#include "DeprecatedValues.h"
#include <string>

namespace FIX
{
  const char BeginString_FIX44[] = "FIX.4.4";
  const char BeginString_FIX43[] = "FIX.4.3";
  const char BeginString_FIX42[] = "FIX.4.2";
  const char BeginString_FIX41[] = "FIX.4.1";
  const char BeginString_FIX40[] = "FIX.4.0";
  
 const char MsgType_Heartbeat[] = "0";
 const char MsgType_Logon[] = "A";
 const char MsgType_TestRequest[] = "1";
 const char MsgType_ResendRequest[] = "2";
 const char MsgType_Reject[] = "3";
 const char MsgType_SequenceReset[] = "4";
 const char MsgType_Logout[] = "5";
 const char MsgType_BusinessMessageReject[] = "j";
 const char MsgType_UserRequest[] = "BE";
 const char MsgType_UserResponse[] = "BF";
 const char MsgType_Advertisement[] = "7";
 const char MsgType_IndicationOfInterest[] = "6";
 const char MsgType_News[] = "B";
 const char MsgType_Email[] = "C";
 const char MsgType_QuoteRequest[] = "R";
 const char MsgType_QuoteResponse[] = "AJ";
 const char MsgType_QuoteRequestReject[] = "AG";
 const char MsgType_RFQRequest[] = "AH";
 const char MsgType_Quote[] = "S";
 const char MsgType_QuoteCancel[] = "Z";
 const char MsgType_QuoteStatusRequest[] = "a";
 const char MsgType_QuoteStatusReport[] = "AI";
 const char MsgType_MassQuote[] = "i";
 const char MsgType_MassQuoteAcknowledgement[] = "b";
 const char MsgType_MarketDataRequest[] = "V";
 const char MsgType_MarketDataSnapshotFullRefresh[] = "W";
 const char MsgType_MarketDataIncrementalRefresh[] = "X";
 const char MsgType_MarketDataRequestReject[] = "Y";
 const char MsgType_SecurityDefinitionRequest[] = "c";
 const char MsgType_SecurityDefinition[] = "d";
 const char MsgType_SecurityTypeRequest[] = "v";
 const char MsgType_SecurityTypes[] = "w";
 const char MsgType_SecurityListRequest[] = "x";
 const char MsgType_SecurityList[] = "y";
 const char MsgType_DerivativeSecurityListRequest[] = "z";
 const char MsgType_DerivativeSecurityList[] = "AA";
 const char MsgType_SecurityStatusRequest[] = "e";
 const char MsgType_SecurityStatus[] = "f";
 const char MsgType_TradingSessionStatusRequest[] = "g";
 const char MsgType_TradingSessionStatus[] = "h";
 const char MsgType_NewOrderSingle[] = "D";
 const char MsgType_ExecutionReport[] = "8";
 const char MsgType_DontKnowTrade[] = "Q";
 const char MsgType_OrderCancelReplaceRequest[] = "G";
 const char MsgType_OrderCancelRequest[] = "F";
 const char MsgType_OrderCancelReject[] = "9";
 const char MsgType_OrderStatusRequest[] = "H";
 const char MsgType_OrderMassCancelRequest[] = "q";
 const char MsgType_OrderMassCancelReport[] = "r";
 const char MsgType_OrderMassStatusRequest[] = "AF";
 const char MsgType_NewOrderCross[] = "s";
 const char MsgType_CrossOrderCancelReplaceRequest[] = "t";
 const char MsgType_CrossOrderCancelRequest[] = "u";
 const char MsgType_NewOrderMultileg[] = "AB";
 const char MsgType_MultilegOrderCancelReplaceRequest[] = "AC";
 const char MsgType_BidRequest[] = "k";
 const char MsgType_BidResponse[] = "l";
 const char MsgType_NewOrderList[] = "E";
 const char MsgType_ListStrikePrice[] = "m";
 const char MsgType_ListStatus[] = "N";
 const char MsgType_ListExecute[] = "L";
 const char MsgType_ListCancelRequest[] = "K";
 const char MsgType_ListStatusRequest[] = "M";
 const char MsgType_AllocationInstruction[] = "J";
 const char MsgType_AllocationInstructionAck[] = "P";
 const char MsgType_AllocationReport[] = "AS";
 const char MsgType_AllocationReportAck[] = "AT";
 const char MsgType_Confirmation[] = "AK";
 const char MsgType_ConfirmationAck[] = "AU";
 const char MsgType_ConfirmationRequest[] = "BH";
 const char MsgType_SettlementInstructions[] = "T";
 const char MsgType_SettlementInstructionRequest[] = "AV";
 const char MsgType_TradeCaptureReportRequest[] = "AD";
 const char MsgType_TradeCaptureReportRequestAck[] = "AQ";
 const char MsgType_TradeCaptureReport[] = "AE";
 const char MsgType_TradeCaptureReportAck[] = "AR";
 const char MsgType_RegistrationInstructions[] = "o";
 const char MsgType_RegistrationInstructionsResponse[] = "p";
 const char MsgType_PositionMaintenanceRequest[] = "AL";
 const char MsgType_PositionMaintenanceReport[] = "AM";
 const char MsgType_RequestForPositions[] = "AN";
 const char MsgType_RequestForPositionsAck[] = "AO";
 const char MsgType_PositionReport[] = "AP";
 const char MsgType_AssignmentReport[] = "AW";
 const char MsgType_CollateralRequest[] = "AX";
 const char MsgType_CollateralAssignment[] = "AY";
 const char MsgType_CollateralResponse[] = "AZ";
 const char MsgType_CollateralReport[] = "BA";
 const char MsgType_CollateralInquiry[] = "BB";
 const char MsgType_NetworkStatusRequest[] = "BC";
 const char MsgType_NetworkStatusResponse[] = "BD";
 const char MsgType_CollateralInquiryAck[] = "BG";
 const char AdvSide_BUY = 'B';
 const char AdvSide_SELL = 'S';
 const char AdvSide_CROSS = 'X';
 const char AdvSide_TRADE = 'T';
 const char AdvTransType_NEW[] = "N";
 const char AdvTransType_CANCEL[] = "C";
 const char AdvTransType_REPLACE[] = "R";
 const char CommType_PER_UNIT = '1';
 const char CommType_PERCENTAGE = '2';
 const char CommType_ABSOLUTE = '3';
 const char CommType_PERCENTAGE_WAIVED_CASH_DISCOUNT = '4';
 const char CommType_PERCENTAGE_WAIVED_ENHANCED_UNITS = '5';
 const char CommType_POINTS_PER_BOND_OR_OR_CONTRACT = '6';
 const char ExecInst_NOT_HELD = '1';
 const char ExecInst_WORK = '2';
 const char ExecInst_GO_ALONG = '3';
 const char ExecInst_OVER_THE_DAY = '4';
 const char ExecInst_HELD = '5';
 const char ExecInst_PARTICIPATE_DONT_INITIATE = '6';
 const char ExecInst_STRICT_SCALE = '7';
 const char ExecInst_TRY_TO_SCALE = '8';
 const char ExecInst_STAY_ON_BIDSIDE = '9';
 const char ExecInst_STAY_ON_OFFERSIDE = '0';
 const char ExecInst_NO_CROSS = 'A';
 const char ExecInst_OK_TO_CROSS = 'B';
 const char ExecInst_CALL_FIRST = 'C';
 const char ExecInst_PERCENT_OF_VOLUME = 'D';
 const char ExecInst_DO_NOT_INCREASE = 'E';
 const char ExecInst_DO_NOT_REDUCE = 'F';
 const char ExecInst_ALL_OR_NONE = 'G';
 const char ExecInst_REINSTATE_ON_SYSTEM_FAILURE = 'H';
 const char ExecInst_INSTITUTIONS_ONLY = 'I';
 const char ExecInst_REINSTATE_ON_TRADING_HALT = 'J';
 const char ExecInst_CANCEL_ON_TRADING_HALT = 'K';
 const char ExecInst_LAST_PEG = 'L';
 const char ExecInst_MID_PRICE = 'M';
 const char ExecInst_NON_NEGOTIABLE = 'N';
 const char ExecInst_OPENING_PEG = 'O';
 const char ExecInst_MARKET_PEG = 'P';
 const char ExecInst_CANCEL_ON_SYSTEM_FAILURE = 'Q';
 const char ExecInst_PRIMARY_PEG = 'R';
 const char ExecInst_SUSPEND = 'S';
 const char ExecInst_FIXED_PEG_TO_LOCAL_BEST_BID_OR_OFFER_AT_TIME_OF_ORDER = 'T';
 const char ExecInst_CUSTOMER_DISPLAY_INSTRUCTION = 'U';
 const char ExecInst_NETTING = 'V';
 const char ExecInst_PEG_TO_VWAP = 'W';
 const char ExecInst_TRADE_ALONG = 'X';
 const char ExecInst_TRY_TO_STOP = 'Y';
 const char ExecInst_CANCEL_IF_NOT_BEST = 'Z';
 const char ExecInst_TRAILING_STOP_PEG = 'a';
 const char ExecInst_STRICT_LIMIT = 'b';
 const char ExecInst_IGNORE_PRICE_VALIDITY_CHECKS = 'c';
 const char ExecInst_PEG_TO_LIMIT_PRICE = 'd';
 const char ExecInst_WORK_TO_TARGET_STRATEGY = 'e';
 const char HandlInst_AUTOMATED_EXECUTION_ORDER_PRIVATE = '1';
 const char HandlInst_AUTOMATED_EXECUTION_ORDER_PUBLIC = '2';
 const char HandlInst_MANUAL_ORDER = '3';
 const char SecurityIDSource_CUSIP[] = "1";
 const char SecurityIDSource_SEDOL[] = "2";
 const char SecurityIDSource_QUIK[] = "3";
 const char SecurityIDSource_ISIN_NUMBER[] = "4";
 const char SecurityIDSource_RIC_CODE[] = "5";
 const char SecurityIDSource_ISO_CURRENCY_CODE[] = "6";
 const char SecurityIDSource_ISO_COUNTRY_CODE[] = "7";
 const char SecurityIDSource_EXCHANGE_SYMBOL[] = "8";
 const char SecurityIDSource_CONSOLIDATED_TAPE_ASSOCIATION[] = "9";
 const char SecurityIDSource_BLOOMBERG_SYMBOL[] = "A";
 const char SecurityIDSource_WERTPAPIER[] = "B";
 const char SecurityIDSource_DUTCH[] = "C";
 const char SecurityIDSource_VALOREN[] = "D";
 const char SecurityIDSource_SICOVAM[] = "E";
 const char SecurityIDSource_BELGIAN[] = "F";
 const char SecurityIDSource_COMMON[] = "G";
 const char SecurityIDSource_CLEARING_HOUSE_CLEARING_ORGANIZATION[] = "H";
 const char SecurityIDSource_ISDA_FPML_PRODUCT_SPECIFICATION[] = "I";
 const char SecurityIDSource_OPTIONS_PRICE_REPORTING_AUTHORITY[] = "J";
 const char IOIQltyInd_LOW = 'L';
 const char IOIQltyInd_MEDIUM = 'M';
 const char IOIQltyInd_HIGH = 'H';
 const char IOITransType_NEW = 'N';
 const char IOITransType_CANCEL = 'C';
 const char IOITransType_REPLACE = 'R';
 const char LastCapacity_AGENT = '1';
 const char LastCapacity_CROSS_AS_AGENT = '2';
 const char LastCapacity_CROSS_AS_PRINCIPAL = '3';
 const char LastCapacity_PRINCIPAL = '4';
 const char MsgType_HEARTBEAT[] = "0";
 const char MsgType_TEST_REQUEST[] = "1";
 const char MsgType_RESEND_REQUEST[] = "2";
 const char MsgType_REJECT[] = "3";
 const char MsgType_SEQUENCE_RESET[] = "4";
 const char MsgType_LOGOUT[] = "5";
 const char MsgType_INDICATION_OF_INTEREST[] = "6";
 const char MsgType_ADVERTISEMENT[] = "7";
 const char MsgType_EXECUTION_REPORT[] = "8";
 const char MsgType_ORDER_CANCEL_REJECT[] = "9";
 const char MsgType_LOGON[] = "A";
 const char MsgType_NEWS[] = "B";
 const char MsgType_EMAIL[] = "C";
 const char MsgType_ORDER_SINGLE[] = "D";
 const char MsgType_ORDER_LIST[] = "E";
 const char MsgType_ORDER_CANCEL_REQUEST[] = "F";
 const char MsgType_ORDER_CANCEL_REPLACE_REQUEST[] = "G";
 const char MsgType_ORDER_STATUS_REQUEST[] = "H";
 const char MsgType_ALLOCATION_INSTRUCTION[] = "J";
 const char MsgType_LIST_CANCEL_REQUEST[] = "K";
 const char MsgType_LIST_EXECUTE[] = "L";
 const char MsgType_LIST_STATUS_REQUEST[] = "M";
 const char MsgType_LIST_STATUS[] = "N";
 const char MsgType_ALLOCATION_INSTRUCTION_ACK[] = "P";
 const char MsgType_DONT_KNOW_TRADE[] = "Q";
 const char MsgType_QUOTE_REQUEST[] = "R";
 const char MsgType_QUOTE[] = "S";
 const char MsgType_SETTLEMENT_INSTRUCTIONS[] = "T";
 const char MsgType_MARKET_DATA_REQUEST[] = "V";
 const char MsgType_MARKET_DATA_SNAPSHOT_FULL_REFRESH[] = "W";
 const char MsgType_MARKET_DATA_INCREMENTAL_REFRESH[] = "X";
 const char MsgType_MARKET_DATA_REQUEST_REJECT[] = "Y";
 const char MsgType_QUOTE_CANCEL[] = "Z";
 const char MsgType_QUOTE_STATUS_REQUEST[] = "a";
 const char MsgType_MASS_QUOTE_ACKNOWLEDGEMENT[] = "b";
 const char MsgType_SECURITY_DEFINITION_REQUEST[] = "c";
 const char MsgType_SECURITY_DEFINITION[] = "d";
 const char MsgType_SECURITY_STATUS_REQUEST[] = "e";
 const char MsgType_SECURITY_STATUS[] = "f";
 const char MsgType_TRADING_SESSION_STATUS_REQUEST[] = "g";
 const char MsgType_TRADING_SESSION_STATUS[] = "h";
 const char MsgType_MASS_QUOTE[] = "i";
 const char MsgType_BUSINESS_MESSAGE_REJECT[] = "j";
 const char MsgType_BID_REQUEST[] = "k";
 const char MsgType_BID_RESPONSE[] = "l";
 const char MsgType_LIST_STRIKE_PRICE[] = "m";
 const char MsgType_XML_MESSAGE[] = "n";
 const char MsgType_REGISTRATION_INSTRUCTIONS[] = "o";
 const char MsgType_REGISTRATION_INSTRUCTIONS_RESPONSE[] = "p";
 const char MsgType_ORDER_MASS_CANCEL_REQUEST[] = "q";
 const char MsgType_ORDER_MASS_CANCEL_REPORT[] = "r";
 const char MsgType_NEW_ORDER_CROSS[] = "s";
 const char MsgType_CROSS_ORDER_CANCEL_REPLACE_REQUEST[] = "t";
 const char MsgType_CROSS_ORDER_CANCEL_REQUEST[] = "u";
 const char MsgType_SECURITY_TYPE_REQUEST[] = "v";
 const char MsgType_SECURITY_TYPES[] = "w";
 const char MsgType_SECURITY_LIST_REQUEST[] = "x";
 const char MsgType_SECURITY_LIST[] = "y";
 const char MsgType_DERIVATIVE_SECURITY_LIST_REQUEST[] = "z";
 const char MsgType_DERIVATIVE_SECURITY_LIST[] = "AA";
 const char MsgType_NEW_ORDER_MULTILEG[] = "AB";
 const char MsgType_MULTILEG_ORDER_CANCEL_REPLACE[] = "AC";
 const char MsgType_TRADE_CAPTURE_REPORT_REQUEST[] = "AD";
 const char MsgType_TRADE_CAPTURE_REPORT[] = "AE";
 const char MsgType_ORDER_MASS_STATUS_REQUEST[] = "AF";
 const char MsgType_QUOTE_REQUEST_REJECT[] = "AG";
 const char MsgType_RFQ_REQUEST[] = "AH";
 const char MsgType_QUOTE_STATUS_REPORT[] = "AI";
 const char MsgType_QUOTE_RESPONSE[] = "AJ";
 const char MsgType_CONFIRMATION[] = "AK";
 const char MsgType_POSITION_MAINTENANCE_REQUEST[] = "AL";
 const char MsgType_POSITION_MAINTENANCE_REPORT[] = "AM";
 const char MsgType_REQUEST_FOR_POSITIONS[] = "AN";
 const char MsgType_REQUEST_FOR_POSITIONS_ACK[] = "AO";
 const char MsgType_POSITION_REPORT[] = "AP";
 const char MsgType_TRADE_CAPTURE_REPORT_REQUEST_ACK[] = "AQ";
 const char MsgType_TRADE_CAPTURE_REPORT_ACK[] = "AR";
 const char MsgType_ALLOCATION_REPORT[] = "AS";
 const char MsgType_ALLOCATION_REPORT_ACK[] = "AT";
 const char MsgType_CONFIRMATION_ACK[] = "AU";
 const char MsgType_SETTLEMENT_INSTRUCTION_REQUEST[] = "AV";
 const char MsgType_ASSIGNMENT_REPORT[] = "AW";
 const char MsgType_COLLATERAL_REQUEST[] = "AX";
 const char MsgType_COLLATERAL_ASSIGNMENT[] = "AY";
 const char MsgType_COLLATERAL_RESPONSE[] = "AZ";
 const char MsgType_COLLATERAL_REPORT[] = "BA";
 const char MsgType_COLLATERAL_INQUIRY[] = "BB";
 const char MsgType_NETWORK_STATUS_REQUEST[] = "BC";
 const char MsgType_NETWORK_STATUS_RESPONSE[] = "BD";
 const char MsgType_USER_REQUEST[] = "BE";
 const char MsgType_USER_RESPONSE[] = "BF";
 const char MsgType_COLLATERAL_INQUIRY_ACK[] = "BG";
 const char MsgType_CONFIRMATION_REQUEST[] = "BH";
 const char OrdStatus_NEW = '0';
 const char OrdStatus_PARTIALLY_FILLED = '1';
 const char OrdStatus_FILLED = '2';
 const char OrdStatus_DONE_FOR_DAY = '3';
 const char OrdStatus_CANCELED = '4';
 const char OrdStatus_REPLACED = '5';
 const char OrdStatus_PENDING_CANCEL = '6';
 const char OrdStatus_STOPPED = '7';
 const char OrdStatus_REJECTED = '8';
 const char OrdStatus_SUSPENDED = '9';
 const char OrdStatus_PENDING_NEW = 'A';
 const char OrdStatus_CALCULATED = 'B';
 const char OrdStatus_EXPIRED = 'C';
 const char OrdStatus_ACCEPTED_FOR_BIDDING = 'D';
 const char OrdStatus_PENDING_REPLACE = 'E';
 const char OrdType_MARKET = '1';
 const char OrdType_LIMIT = '2';
 const char OrdType_STOP = '3';
 const char OrdType_STOP_LIMIT = '4';
 const char OrdType_MARKET_ON_CLOSE = '5';
 const char OrdType_WITH_OR_WITHOUT = '6';
 const char OrdType_LIMIT_OR_BETTER = '7';
 const char OrdType_LIMIT_WITH_OR_WITHOUT = '8';
 const char OrdType_ON_BASIS = '9';
 const char OrdType_ON_CLOSE = 'A';
 const char OrdType_LIMIT_ON_CLOSE = 'B';
 const char OrdType_FOREX_MARKET = 'C';
 const char OrdType_PREVIOUSLY_QUOTED = 'D';
 const char OrdType_PREVIOUSLY_INDICATED = 'E';
 const char OrdType_FOREX_LIMIT = 'F';
 const char OrdType_FOREX_SWAP = 'G';
 const char OrdType_FOREX_PREVIOUSLY_QUOTED = 'H';
 const char OrdType_FUNARI = 'I';
 const char OrdType_MARKET_IF_TOUCHED = 'J';
 const char OrdType_MARKET_WITH_LEFTOVER_AS_LIMIT = 'K';
 const char OrdType_PREVIOUS_FUND_VALUATION_POINT = 'L';
 const char OrdType_NEXT_FUND_VALUATION_POINT = 'M';
 const char OrdType_PEGGED = 'P';
 const char Side_BUY = '1';
 const char Side_SELL = '2';
 const char Side_BUY_MINUS = '3';
 const char Side_SELL_PLUS = '4';
 const char Side_SELL_SHORT = '5';
 const char Side_SELL_SHORT_EXEMPT = '6';
 const char Side_UNDISCLOSED = '7';
 const char Side_CROSS = '8';
 const char Side_CROSS_SHORT = '9';
 const char Side_CROSS_SHORT_EXEMPT = 'A';
 const char Side_AS_DEFINED = 'B';
 const char Side_OPPOSITE = 'C';
 const char Side_SUBSCRIBE = 'D';
 const char Side_REDEEM = 'E';
 const char Side_LEND = 'F';
 const char Side_BORROW = 'G';
 const char TimeInForce_DAY = '0';
 const char TimeInForce_GOOD_TILL_CANCEL = '1';
 const char TimeInForce_AT_THE_OPENING = '2';
 const char TimeInForce_IMMEDIATE_OR_CANCEL = '3';
 const char TimeInForce_FILL_OR_KILL = '4';
 const char TimeInForce_GOOD_TILL_CROSSING = '5';
 const char TimeInForce_GOOD_TILL_DATE = '6';
 const char TimeInForce_AT_THE_CLOSE = '7';
 const char Urgency_NORMAL = '0';
 const char Urgency_FLASH = '1';
 const char Urgency_BACKGROUND = '2';
 const char SettlType_REGULAR = '0';
 const char SettlType_CASH = '1';
 const char SettlType_NEXT_DAY = '2';
 const char SettlType_T_PLUS_2 = '3';
 const char SettlType_T_PLUS_3 = '4';
 const char SettlType_T_PLUS_4 = '5';
 const char SettlType_FUTURE = '6';
 const char SettlType_WHEN_AND_IF_ISSUED = '7';
 const char SettlType_SELLERS_OPTION = '8';
 const char SettlType_T_PLUS_5 = '9';
 const char SymbolSfx_WHEN_ISSUED[] = "WI";
 const char SymbolSfx_A_EUCP_WITH_LUMP_SUM_INTEREST[] = "CD";
 const char AllocTransType_NEW = '0';
 const char AllocTransType_REPLACE = '1';
 const char AllocTransType_CANCEL = '2';
 const char PositionEffect_OPEN = 'O';
 const char PositionEffect_CLOSE = 'C';
 const char PositionEffect_ROLLED = 'R';
 const char PositionEffect_FIFO = 'F';
 const char ProcessCode_REGULAR = '0';
 const char ProcessCode_SOFT_DOLLAR = '1';
 const char ProcessCode_STEP_IN = '2';
 const char ProcessCode_STEP_OUT = '3';
 const char ProcessCode_SOFT_DOLLAR_STEP_IN = '4';
 const char ProcessCode_SOFT_DOLLAR_STEP_OUT = '5';
 const char ProcessCode_PLAN_SPONSOR = '6';
 const int AllocStatus_ACCEPTED = 0;
 const int AllocStatus_BLOCK_LEVEL_REJECT = 1;
 const int AllocStatus_ACCOUNT_LEVEL_REJECT = 2;
 const int AllocStatus_RECEIVED = 3;
 const int AllocStatus_INCOMPLETE = 4;
 const int AllocStatus_REJECTED_BY_INTERMEDIARY = 5;
 const int AllocRejCode_UNKNOWN_ACCOUNT = 0;
 const int AllocRejCode_INCORRECT_QUANTITY = 1;
 const int AllocRejCode_INCORRECT_AVERAGE_PRICE = 2;
 const int AllocRejCode_UNKNOWN_EXECUTING_BROKER_MNEMONIC = 3;
 const int AllocRejCode_COMMISSION_DIFFERENCE = 4;
 const int AllocRejCode_UNKNOWN_ORDERID = 5;
 const int AllocRejCode_UNKNOWN_LISTID = 6;
 const int AllocRejCode_OTHER = 7;
 const int AllocRejCode_INCORRECT_ALLOCATED_QUANTITY = 8;
 const int AllocRejCode_CALCULATION_DIFFERENCE = 9;
 const char EmailType_NEW = '0';
 const char EmailType_REPLY = '1';
 const char EmailType_ADMIN_REPLY = '2';
 const int EncryptMethod_NONE_OTHER = 0;
 const int EncryptMethod_PKCS = 1;
 const int EncryptMethod_DES = 2;
 const int EncryptMethod_PKCS_DES = 3;
 const int EncryptMethod_PGP_DES = 4;
 const int EncryptMethod_PGP_DES_MD5 = 5;
 const int EncryptMethod_PEM_DES_MD5 = 6;
 const int CxlRejReason_TOO_LATE_TO_CANCEL = 0;
 const int CxlRejReason_UNKNOWN_ORDER = 1;
 const int CxlRejReason_BROKER_EXCHANGE_OPTION = 2;
 const int CxlRejReason_ORDER_ALREADY_IN_PENDING_CANCEL_OR_PENDING_REPLACE_STATUS = 3;
 const int CxlRejReason_UNABLE_TO_PROCESS_ORDER_MASS_CANCEL_REQUEST = 4;
 const int CxlRejReason_ORIGORDMODTIME_DID_NOT_MATCH_LAST_TRANSACTTIME_OF_ORDER = 5;
 const int CxlRejReason_DUPLICATE_CLORDID_RECEIVED = 6;
 const int CxlRejReason_OTHER = 99;
 const int OrdRejReason_BROKER_EXCHANGE_OPTION = 0;
 const int OrdRejReason_UNKNOWN_SYMBOL = 1;
 const int OrdRejReason_EXCHANGE_CLOSED = 2;
 const int OrdRejReason_ORDER_EXCEEDS_LIMIT = 3;
 const int OrdRejReason_TOO_LATE_TO_ENTER = 4;
 const int OrdRejReason_UNKNOWN_ORDER = 5;
 const int OrdRejReason_DUPLICATE_ORDER = 6;
 const int OrdRejReason_DUPLICATE_OF_A_VERBALLY_COMMUNICATED_ORDER = 7;
 const int OrdRejReason_STALE_ORDER = 8;
 const int OrdRejReason_TRADE_ALONG_REQUIRED = 9;
 const int OrdRejReason_INVALID_INVESTOR_ID = 10;
 const int OrdRejReason_UNSUPPORTED_ORDER_CHARACTERISTIC = 11;
 const int OrdRejReason_SURVEILLENCE_OPTION = 12;
 const int OrdRejReason_INCORRECT_QUANTITY = 13;
 const int OrdRejReason_INCORRECT_ALLOCATED_QUANTITY = 14;
 const int OrdRejReason_UNKNOWN_ACCOUNT = 15;
 const int OrdRejReason_OTHER = 99;
 const char IOIQualifier_ALL_OR_NONE = 'A';
 const char IOIQualifier_MARKET_ON_CLOSE = 'B';
 const char IOIQualifier_AT_THE_CLOSE = 'C';
 const char IOIQualifier_VWAP = 'D';
 const char IOIQualifier_IN_TOUCH_WITH = 'I';
 const char IOIQualifier_LIMIT = 'L';
 const char IOIQualifier_MORE_BEHIND = 'M';
 const char IOIQualifier_AT_THE_OPEN = 'O';
 const char IOIQualifier_TAKING_A_POSITION = 'P';
 const char IOIQualifier_AT_THE_MARKET = 'Q';
 const char IOIQualifier_READY_TO_TRADE = 'R';
 const char IOIQualifier_PORTFOLIO_SHOWN = 'S';
 const char IOIQualifier_THROUGH_THE_DAY = 'T';
 const char IOIQualifier_VERSUS = 'V';
 const char IOIQualifier_INDICATION_WORKING_AWAY = 'W';
 const char IOIQualifier_CROSSING_OPPORTUNITY = 'X';
 const char IOIQualifier_AT_THE_MIDPOINT = 'Y';
 const char IOIQualifier_PRE_OPEN = 'Z';
 const char DKReason_UNKNOWN_SYMBOL = 'A';
 const char DKReason_WRONG_SIDE = 'B';
 const char DKReason_QUANTITY_EXCEEDS_ORDER = 'C';
 const char DKReason_NO_MATCHING_ORDER = 'D';
 const char DKReason_PRICE_EXCEEDS_LIMIT = 'E';
 const char DKReason_CALCULATION_DIFFERENCE = 'F';
 const char DKReason_OTHER = 'Z';
 const char MiscFeeType_REGULATORY = '1';
 const char MiscFeeType_TAX = '2';
 const char MiscFeeType_LOCAL_COMMISSION = '3';
 const char MiscFeeType_EXCHANGE_FEES = '4';
 const char MiscFeeType_STAMP = '5';
 const char MiscFeeType_LEVY = '6';
 const char MiscFeeType_OTHER = '7';
 const char MiscFeeType_MARKUP = '8';
 const char MiscFeeType_CONSUMPTION_TAX = '9';
 const char ExecType_NEW = '0';
 const char ExecType_PARTIAL_FILL = '1';
 const char ExecType_FILL = '2';
 const char ExecType_DONE_FOR_DAY = '3';
 const char ExecType_CANCELED = '4';
 const char ExecType_REPLACE = '5';
 const char ExecType_PENDING_CANCEL = '6';
 const char ExecType_STOPPED = '7';
 const char ExecType_REJECTED = '8';
 const char ExecType_SUSPENDED = '9';
 const char ExecType_PENDING_NEW = 'A';
 const char ExecType_CALCULATED = 'B';
 const char ExecType_EXPIRED = 'C';
 const char ExecType_RESTATED = 'D';
 const char ExecType_PENDING_REPLACE = 'E';
 const char ExecType_TRADE = 'F';
 const char ExecType_TRADE_CORRECT = 'G';
 const char ExecType_TRADE_CANCEL = 'H';
 const char ExecType_ORDER_STATUS = 'I';
 const char SettlCurrFxRateCalc_MULTIPLY = 'M';
 const char SettlCurrFxRateCalc_DIVIDE = 'D';
 const char SettlInstMode_DEFAULT = '0';
 const char SettlInstMode_STANDING_INSTRUCTIONS_PROVIDED = '1';
 const char SettlInstMode_SPECIFIC_ORDER_FOR_A_SINGLE_ACCOUNT = '4';
 const char SettlInstMode_REQUEST_REJECT = '5';
 const char SettlInstTransType_NEW = 'N';
 const char SettlInstTransType_CANCEL = 'C';
 const char SettlInstTransType_REPLACE = 'R';
 const char SettlInstTransType_RESTATE = 'T';
 const char SettlInstSource_BROKERS_INSTRUCTIONS = '1';
 const char SettlInstSource_INSTITUTIONS_INSTRUCTIONS = '2';
 const char SettlInstSource_INVESTOR = '3';
 const char SecurityType_EURO_SUPRANATIONAL_COUPONS[] = "EUSUPRA";
 const char SecurityType_FEDERAL_AGENCY_COUPON[] = "FAC";
 const char SecurityType_FEDERAL_AGENCY_DISCOUNT_NOTE[] = "FADN";
 const char SecurityType_PRIVATE_EXPORT_FUNDING[] = "PEF";
 const char SecurityType_USD_SUPRANATIONAL_COUPONS[] = "SUPRA";
 const char SecurityType_FUTURE[] = "FUT";
 const char SecurityType_OPTION[] = "OPT";
 const char SecurityType_CORPORATE_BOND[] = "CORP";
 const char SecurityType_CORPORATE_PRIVATE_PLACEMENT[] = "CPP";
 const char SecurityType_CONVERTIBLE_BOND[] = "CB";
 const char SecurityType_DUAL_CURRENCY[] = "DUAL";
 const char SecurityType_EURO_CORPORATE_BOND[] = "EUCORP";
 const char SecurityType_INDEXED_LINKED[] = "XLINKD";
 const char SecurityType_STRUCTURED_NOTES[] = "STRUCT";
 const char SecurityType_YANKEE_CORPORATE_BOND[] = "YANK";
 const char SecurityType_FOREIGN_EXCHANGE_CONTRACT[] = "FOR";
 const char SecurityType_COMMON_STOCK[] = "CS";
 const char SecurityType_PREFERRED_STOCK[] = "PS";
 const char SecurityType_BRADY_BOND[] = "BRADY";
 const char SecurityType_EURO_SOVEREIGNS[] = "EUSOV";
 const char SecurityType_US_TREASURY_BOND[] = "TBOND";
 const char SecurityType_INTEREST_STRIP_FROM_ANY_BOND_OR_NOTE[] = "TINT";
 const char SecurityType_TREASURY_INFLATION_PROTECTED_SECURITIES[] = "TIPS";
 const char SecurityType_PRINCIPAL_STRIP_OF_A_CALLABLE_BOND_OR_NOTE[] = "TCAL";
 const char SecurityType_PRINCIPAL_STRIP_FROM_A_NON_CALLABLE_BOND_OR_NOTE[] = "TPRN";
 const char SecurityType_US_TREASURY_NOTE[] = "TNOTE";
 const char SecurityType_US_TREASURY_BILL[] = "TBILL";
 const char SecurityType_REPURCHASE[] = "REPO";
 const char SecurityType_FORWARD[] = "FORWARD";
 const char SecurityType_BUY_SELLBACK[] = "BUYSELL";
 const char SecurityType_SECURITIES_LOAN[] = "SECLOAN";
 const char SecurityType_SECURITIES_PLEDGE[] = "SECPLEDGE";
 const char SecurityType_TERM_LOAN[] = "TERM";
 const char SecurityType_REVOLVER_LOAN[] = "RVLV";
 const char SecurityType_REVOLVER_TERM_LOAN[] = "RVLVTRM";
 const char SecurityType_BRIDGE_LOAN[] = "BRIDGE";
 const char SecurityType_LETTER_OF_CREDIT[] = "LOFC";
 const char SecurityType_SWING_LINE_FACILITY[] = "SWING";
 const char SecurityType_DEBTOR_IN_POSSESSION[] = "DINP";
 const char SecurityType_DEFAULTED[] = "DEFLTED";
 const char SecurityType_WITHDRAWN[] = "WITHDRN";
 const char SecurityType_REPLACED[] = "REPLACD";
 const char SecurityType_MATURED[] = "MATURED";
 const char SecurityType_AMENDED_AND_RESTATED[] = "AMENDED";
 const char SecurityType_RETIRED[] = "RETIRED";
 const char SecurityType_BANKERS_ACCEPTANCE[] = "BA";
 const char SecurityType_BANK_NOTES[] = "BN";
 const char SecurityType_BILL_OF_EXCHANGES[] = "BOX";
 const char SecurityType_CERTIFICATE_OF_DEPOSIT[] = "CD";
 const char SecurityType_CALL_LOANS[] = "CL";
 const char SecurityType_COMMERCIAL_PAPER[] = "CP";
 const char SecurityType_DEPOSIT_NOTES[] = "DN";
 const char SecurityType_EURO_CERTIFICATE_OF_DEPOSIT[] = "EUCD";
 const char SecurityType_EURO_COMMERCIAL_PAPER[] = "EUCP";
 const char SecurityType_LIQUIDITY_NOTE[] = "LQN";
 const char SecurityType_MEDIUM_TERM_NOTES[] = "MTN";
 const char SecurityType_OVERNIGHT[] = "ONITE";
 const char SecurityType_PROMISSORY_NOTE[] = "PN";
 const char SecurityType_PLAZOS_FIJOS[] = "PZFJ";
 const char SecurityType_SHORT_TERM_LOAN_NOTE[] = "STN";
 const char SecurityType_TIME_DEPOSIT[] = "TD";
 const char SecurityType_EXTENDED_COMM_NOTE[] = "XCN";
 const char SecurityType_YANKEE_CERTIFICATE_OF_DEPOSIT[] = "YCD";
 const char SecurityType_ASSET_BACKED_SECURITIES[] = "ABS";
 const char SecurityType_CORP_MORTGAGE_BACKED_SECURITIES[] = "CMBS";
 const char SecurityType_COLLATERALIZED_MORTGAGE_OBLIGATION[] = "CMO";
 const char SecurityType_IOETTE_MORTGAGE[] = "IET";
 const char SecurityType_MORTGAGE_BACKED_SECURITIES[] = "MBS";
 const char SecurityType_MORTGAGE_INTEREST_ONLY[] = "MIO";
 const char SecurityType_MORTGAGE_PRINCIPAL_ONLY[] = "MPO";
 const char SecurityType_MORTGAGE_PRIVATE_PLACEMENT[] = "MPP";
 const char SecurityType_MISCELLANEOUS_PASS_THROUGH[] = "MPT";
 const char SecurityType_PFANDBRIEFE[] = "PFAND";
 const char SecurityType_TO_BE_ANNOUNCED[] = "TBA";
 const char SecurityType_OTHER_ANTICIPATION_NOTES[] = "AN";
 const char SecurityType_CERTIFICATE_OF_OBLIGATION[] = "COFO";
 const char SecurityType_CERTIFICATE_OF_PARTICIPATION[] = "COFP";
 const char SecurityType_GENERAL_OBLIGATION_BONDS[] = "GO";
 const char SecurityType_MANDATORY_TENDER[] = "MT";
 const char SecurityType_REVENUE_ANTICIPATION_NOTE[] = "RAN";
 const char SecurityType_REVENUE_BONDS[] = "REV";
 const char SecurityType_SPECIAL_ASSESSMENT[] = "SPCLA";
 const char SecurityType_SPECIAL_OBLIGATION[] = "SPCLO";
 const char SecurityType_SPECIAL_TAX[] = "SPCLT";
 const char SecurityType_TAX_ANTICIPATION_NOTE[] = "TAN";
 const char SecurityType_TAX_ALLOCATION[] = "TAXA";
 const char SecurityType_TAX_EXEMPT_COMMERCIAL_PAPER[] = "TECP";
 const char SecurityType_TAX_AND_REVENUE_ANTICIPATION_NOTE[] = "TRAN";
 const char SecurityType_VARIABLE_RATE_DEMAND_NOTE[] = "VRDN";
 const char SecurityType_WARRANT[] = "WAR";
 const char SecurityType_MUTUAL_FUND[] = "MF";
 const char SecurityType_MULTI_LEG_INSTRUMENT[] = "MLEG";
 const char SecurityType_NO_SECURITY_TYPE[] = "NONE";
 const char SecurityType_WILDCARD[] = "?";
 const int StandInstDbType_OTHER = 0;
 const int StandInstDbType_DTC_SID = 1;
 const int StandInstDbType_THOMSON_ALERT = 2;
 const int StandInstDbType_A_GLOBAL_CUSTODIAN = 3;
 const int StandInstDbType_ACCOUNTNET = 4;
 const int SettlDeliveryType_VERSUS_PAYMENT = 0;
 const int SettlDeliveryType_FREE = 1;
 const int SettlDeliveryType_TRI_PARTY = 2;
 const int SettlDeliveryType_HOLD_IN_CUSTODY = 3;
 const int AllocLinkType_F_X_NETTING = 0;
 const int AllocLinkType_F_X_SWAP = 1;
 const int CoveredOrUncovered_COVERED = 0;
 const int CoveredOrUncovered_UNCOVERED = 1;
 const int AllocHandlInst_MATCH = 1;
 const int AllocHandlInst_FORWARD = 2;
 const int AllocHandlInst_FORWARD_AND_MATCH = 3;
 const int RoutingType_TARGET_FIRM = 1;
 const int RoutingType_TARGET_LIST = 2;
 const int RoutingType_BLOCK_FIRM = 3;
 const int RoutingType_BLOCK_LIST = 4;
 const char BenchmarkCurveName_MUNIAAA[] = "MuniAAA";
 const char BenchmarkCurveName_FUTURESWAP[] = "FutureSWAP";
 const char BenchmarkCurveName_LIBID[] = "LIBID";
 const char BenchmarkCurveName_LIBOR[] = "LIBOR";
 const char BenchmarkCurveName_OTHER[] = "OTHER";
 const char BenchmarkCurveName_SWAP[] = "SWAP";
 const char BenchmarkCurveName_TREASURY[] = "Treasury";
 const char BenchmarkCurveName_EURIBOR[] = "Euribor";
 const char BenchmarkCurveName_PFANDBRIEFE[] = "Pfandbriefe";
 const char BenchmarkCurveName_EONIA[] = "EONIA";
 const char BenchmarkCurveName_SONIA[] = "SONIA";
 const char BenchmarkCurveName_EUREPO[] = "EUREPO";
 const char StipulationType_AMT[] = "AMT";
 const char StipulationType_AUTO_REINVESTMENT_AT_OR_BETTER[] = "AUTOREINV";
 const char StipulationType_BANK_QUALIFIED[] = "BANKQUAL";
 const char StipulationType_BARGAIN_CONDITIONS[] = "BGNCON";
 const char StipulationType_COUPON_RANGE[] = "COUPON";
 const char StipulationType_ISO_CURRENCY_CODE[] = "CURRENCY";
 const char StipulationType_CUSTOM_START_END_DATE[] = "CUSTOMDATE";
 const char StipulationType_GEOGRAPHICS_AND_PERCENT_RANGE[] = "GEOG";
 const char StipulationType_VALUATION_DISCOUNT[] = "HAIRCUT";
 const char StipulationType_INSURED[] = "INSURED";
 const char StipulationType_YEAR_OR_YEAR_MONTH_OF_ISSUE[] = "ISSUE";
 const char StipulationType_ISSUERS_TICKER[] = "ISSUER";
 const char StipulationType_ISSUE_SIZE_RANGE[] = "ISSUESIZE";
 const char StipulationType_LOOKBACK_DAYS[] = "LOOKBACK";
 const char StipulationType_EXPLICIT_LOT_IDENTIFIER[] = "LOT";
 const char StipulationType_LOT_VARIANCE[] = "LOTVAR";
 const char StipulationType_MATURITY_YEAR_AND_MONTH[] = "MAT";
 const char StipulationType_MATURITY_RANGE[] = "MATURITY";
 const char StipulationType_MAXIMUM_SUBSTITUTIONS[] = "MAXSUBS";
 const char StipulationType_MINIMUM_QUANTITY[] = "MINQTY";
 const char StipulationType_MINIMUM_INCREMENT[] = "MININCR";
 const char StipulationType_MINIMUM_DENOMINATION[] = "MINDNOM";
 const char StipulationType_PAYMENT_FREQUENCY_CALENDAR[] = "PAYFREQ";
 const char StipulationType_NUMBER_OF_PIECES[] = "PIECES";
 const char StipulationType_POOLS_MAXIMUM[] = "PMAX";
 const char StipulationType_POOLS_PER_MILLION[] = "PPM";
 const char StipulationType_POOLS_PER_LOT[] = "PPL";
 const char StipulationType_POOLS_PER_TRADE[] = "PPT";
 const char StipulationType_PRICE_RANGE[] = "PRICE";
 const char StipulationType_PRICING_FREQUENCY[] = "PRICEFREQ";
 const char StipulationType_PRODUCTION_YEAR[] = "PROD";
 const char StipulationType_CALL_PROTECTION[] = "PROTECT";
 const char StipulationType_PURPOSE[] = "PURPOSE";
 const char StipulationType_BENCHMARK_PRICE_SOURCE[] = "PXSOURCE";
 const char StipulationType_RATING_SOURCE_AND_RANGE[] = "RATING";
 const char StipulationType_RESTRICTED[] = "RESTRICTED";
 const char StipulationType_MARKET_SECTOR[] = "SECTOR";
 const char StipulationType_SECURITYTYPE_INCLUDED_OR_EXCLUDED[] = "SECTYPE";
 const char StipulationType_STRUCTURE[] = "STRUCT";
 const char StipulationType_SUBSTITUTIONS_FREQUENCY[] = "SUBSFREQ";
 const char StipulationType_SUBSTITUTIONS_LEFT[] = "SUBSLEFT";
 const char StipulationType_FREEFORM_TEXT[] = "TEXT";
 const char StipulationType_TRADE_VARIANCE[] = "TRDVAR";
 const char StipulationType_WEIGHTED_AVERAGE_COUPON[] = "WAC";
 const char StipulationType_WEIGHTED_AVERAGE_LIFE_COUPON[] = "WAL";
 const char StipulationType_WEIGHTED_AVERAGE_LOAN_AGE[] = "WALA";
 const char StipulationType_WEIGHTED_AVERAGE_MATURITY[] = "WAM";
 const char StipulationType_WHOLE_POOL[] = "WHOLE";
 const char StipulationType_YIELD_RANGE[] = "YIELD";
 const char StipulationType_SINGLE_MONTHLY_MORTALITY[] = "SMM";
 const char StipulationType_CONSTANT_PREPAYMENT_RATE[] = "CPR";
 const char StipulationType_CONSTANT_PREPAYMENT_YIELD[] = "CPY";
 const char StipulationType_CONSTANT_PREPAYMENT_PENALTY[] = "CPP";
 const char StipulationType_ABSOLUTE_PREPAYMENT_SPEED[] = "ABS";
 const char StipulationType_MONTHLY_PREPAYMENT_RATE[] = "MPR";
 const char StipulationType_PERCENT_OF_BMA_PREPAYMENT_CURVE[] = "PSA";
 const char StipulationType_PERCENT_OF_PROSPECTUS_PREPAYMENT_CURVE[] = "PPC";
 const char StipulationType_PERCENT_OF_MANUFACTURED_HOUSING_PREPAYMENT_CURVE[] = "MHP";
 const char StipulationType_FINAL_CPR_OF_HOME_EQUITY_PREPAYMENT_CURVE[] = "HEP";
 const char StipulationValue_SPECIAL_CUM_DIVIDEND[] = "CD";
 const char StipulationValue_SPECIAL_EX_DIVIDEND[] = "XD";
 const char StipulationValue_SPECIAL_CUM_COUPON[] = "CC";
 const char StipulationValue_SPECIAL_EX_COUPON[] = "XC";
 const char StipulationValue_SPECIAL_CUM_BONUS[] = "CB";
 const char StipulationValue_SPECIAL_EX_BONUS[] = "XB";
 const char StipulationValue_SPECIAL_CUM_RIGHTS[] = "CR";
 const char StipulationValue_SPECIAL_EX_RIGHTS[] = "XR";
 const char StipulationValue_SPECIAL_CUM_CAPITAL_REPAYMENTS[] = "CP";
 const char StipulationValue_SPECIAL_EX_CAPITAL_REPAYMENTS[] = "XP";
 const char StipulationValue_CASH_SETTLEMENT[] = "CS";
 const char StipulationValue_SPECIAL_PRICE[] = "SP";
 const char StipulationValue_REPORT_FOR_EUROPEAN_EQUITY_MARKET_SECURITIES[] = "TR";
 const char StipulationValue_GUARANTEED_DELIVERY[] = "GD";
 const char YieldType_AFTER_TAX_YIELD[] = "AFTERTAX";
 const char YieldType_ANNUAL_YIELD[] = "ANNUAL";
 const char YieldType_YIELD_AT_ISSUE[] = "ATISSUE";
 const char YieldType_YIELD_TO_AVERAGE_MATURITY[] = "AVGMATURITY";
 const char YieldType_BOOK_YIELD[] = "BOOK";
 const char YieldType_YIELD_TO_NEXT_CALL[] = "CALL";
 const char YieldType_YIELD_CHANGE_SINCE_CLOSE[] = "CHANGE";
 const char YieldType_CLOSING_YIELD[] = "CLOSE";
 const char YieldType_COMPOUND_YIELD[] = "COMPOUND";
 const char YieldType_CURRENT_YIELD[] = "CURRENT";
 const char YieldType_TRUE_GROSS_YIELD[] = "GROSS";
 const char YieldType_GOVERNMENT_EQUIVALENT_YIELD[] = "GOVTEQUIV";
 const char YieldType_YIELD_WITH_INFLATION_ASSUMPTION[] = "INFLATION";
 const char YieldType_INVERSE_FLOATER_BOND_YIELD[] = "INVERSEFLOATER";
 const char YieldType_MOST_RECENT_CLOSING_YIELD[] = "LASTCLOSE";
 const char YieldType_CLOSING_YIELD_MOST_RECENT_MONTH[] = "LASTMONTH";
 const char YieldType_CLOSING_YIELD_MOST_RECENT_QUARTER[] = "LASTQUARTER";
 const char YieldType_CLOSING_YIELD_MOST_RECENT_YEAR[] = "LASTYEAR";
 const char YieldType_YIELD_TO_LONGEST_AVERAGE_LIFE[] = "LONGAVGLIFE";
 const char YieldType_MARK_TO_MARKET_YIELD[] = "MARK";
 const char YieldType_YIELD_TO_MATURITY[] = "MATURITY";
 const char YieldType_YIELD_TO_NEXT_REFUND[] = "NEXTREFUND";
 const char YieldType_OPEN_AVERAGE_YIELD[] = "OPENAVG";
 const char YieldType_YIELD_TO_NEXT_PUT[] = "PUT";
 const char YieldType_PREVIOUS_CLOSE_YIELD[] = "PREVCLOSE";
 const char YieldType_PROCEEDS_YIELD[] = "PROCEEDS";
 const char YieldType_SEMI_ANNUAL_YIELD[] = "SEMIANNUAL";
 const char YieldType_YIELD_TO_SHORTEST_AVERAGE_LIFE[] = "SHORTAVGLIFE";
 const char YieldType_SIMPLE_YIELD[] = "SIMPLE";
 const char YieldType_TAX_EQUIVALENT_YIELD[] = "TAXEQUIV";
 const char YieldType_YIELD_TO_TENDER_DATE[] = "TENDER";
 const char YieldType_TRUE_YIELD[] = "TRUE";
 const char YieldType_YIELD_VALUE_OF_1_32[] = "VALUE1_32";
 const char YieldType_YIELD_TO_WORST[] = "WORST";
 const char SubscriptionRequestType_SNAPSHOT = '0';
 const char SubscriptionRequestType_SNAPSHOT_PLUS_UPDATES = '1';
 const char SubscriptionRequestType_DISABLE_PREVIOUS_SNAPSHOT_PLUS_UPDATE_REQUEST = '2';
 const int MDUpdateType_FULL_REFRESH = 0;
 const int MDUpdateType_INCREMENTAL_REFRESH = 1;
 const char MDEntryType_BID = '0';
 const char MDEntryType_OFFER = '1';
 const char MDEntryType_TRADE = '2';
 const char MDEntryType_INDEX_VALUE = '3';
 const char MDEntryType_OPENING_PRICE = '4';
 const char MDEntryType_CLOSING_PRICE = '5';
 const char MDEntryType_SETTLEMENT_PRICE = '6';
 const char MDEntryType_TRADING_SESSION_HIGH_PRICE = '7';
 const char MDEntryType_TRADING_SESSION_LOW_PRICE = '8';
 const char MDEntryType_TRADING_SESSION_VWAP_PRICE = '9';
 const char MDEntryType_IMBALANCE = 'A';
 const char MDEntryType_TRADE_VOLUME = 'B';
 const char MDEntryType_OPEN_INTEREST = 'C';
 const char TickDirection_PLUS_TICK = '0';
 const char TickDirection_ZERO_PLUS_TICK = '1';
 const char TickDirection_MINUS_TICK = '2';
 const char TickDirection_ZERO_MINUS_TICK = '3';
 const char QuoteCondition_OPEN_ACTIVE = 'A';
 const char QuoteCondition_CLOSED_INACTIVE = 'B';
 const char QuoteCondition_EXCHANGE_BEST = 'C';
 const char QuoteCondition_CONSOLIDATED_BEST = 'D';
 const char QuoteCondition_LOCKED = 'E';
 const char QuoteCondition_CROSSED = 'F';
 const char QuoteCondition_DEPTH = 'G';
 const char QuoteCondition_FAST_TRADING = 'H';
 const char QuoteCondition_NON_FIRM = 'I';
 const char TradeCondition_CASH_MARKET = 'A';
 const char TradeCondition_AVERAGE_PRICE_TRADE = 'B';
 const char TradeCondition_CASH_TRADE = 'C';
 const char TradeCondition_NEXT_DAY_MARKET = 'D';
 const char TradeCondition_OPENING_REOPENING_TRADE_DETAIL = 'E';
 const char TradeCondition_INTRADAY_TRADE_DETAIL = 'F';
 const char TradeCondition_RULE127 = 'G';
 const char TradeCondition_RULE155 = 'H';
 const char TradeCondition_SOLD_LAST = 'I';
 const char TradeCondition_NEXT_DAY_TRADE = 'J';
 const char TradeCondition_OPENED = 'K';
 const char TradeCondition_SELLER = 'L';
 const char TradeCondition_SOLD = 'M';
 const char TradeCondition_STOPPED_STOCK = 'N';
 const char TradeCondition_IMBALANCE_MORE_BUYERS = 'P';
 const char TradeCondition_IMBALANCE_MORE_SELLERS = 'Q';
 const char TradeCondition_OPENING_PRICE = 'R';
 const char MDUpdateAction_NEW = '0';
 const char MDUpdateAction_CHANGE = '1';
 const char MDUpdateAction_DELETE = '2';
 const char MDReqRejReason_UNKNOWN_SYMBOL = '0';
 const char MDReqRejReason_DUPLICATE_MDREQID = '1';
 const char MDReqRejReason_INSUFFICIENT_BANDWIDTH = '2';
 const char MDReqRejReason_INSUFFICIENT_PERMISSIONS = '3';
 const char MDReqRejReason_UNSUPPORTED_SUBSCRIPTIONREQUESTTYPE = '4';
 const char MDReqRejReason_UNSUPPORTED_MARKETDEPTH = '5';
 const char MDReqRejReason_UNSUPPORTED_MDUPDATETYPE = '6';
 const char MDReqRejReason_UNSUPPORTED_AGGREGATEDBOOK = '7';
 const char MDReqRejReason_UNSUPPORTED_MDENTRYTYPE = '8';
 const char MDReqRejReason_UNSUPPORTED_TRADINGSESSIONID = '9';
 const char MDReqRejReason_UNSUPPORTED_SCOPE = 'A';
 const char MDReqRejReason_UNSUPPORTED_OPENCLOSESETTLEFLAG = 'B';
 const char MDReqRejReason_UNSUPPORTED_MDIMPLICITDELETE = 'C';
 const char DeleteReason_CANCELATION_TRADE_BUST = '0';
 const char DeleteReason_ERROR = '1';
 const char OpenCloseSettlFlag_DAILY_OPEN_CLOSE_SETTLEMENT_ENTRY = '0';
 const char OpenCloseSettlFlag_SESSION_OPEN_CLOSE_SETTLEMENT_ENTRY = '1';
 const char OpenCloseSettlFlag_DELIVERY_SETTLEMENT_ENTRY = '2';
 const char OpenCloseSettlFlag_EXPECTED_ENTRY = '3';
 const char OpenCloseSettlFlag_ENTRY_FROM_PREVIOUS_BUSINESS_DAY = '4';
 const char OpenCloseSettlFlag_THEORETICAL_PRICE_VALUE = '5';
 const char FinancialStatus_BANKRUPT = '1';
 const char FinancialStatus_PENDING_DELISTING = '2';
 const char CorporateAction_EX_DIVIDEND = 'A';
 const char CorporateAction_EX_DISTRIBUTION = 'B';
 const char CorporateAction_EX_RIGHTS = 'C';
 const char CorporateAction_NEW = 'D';
 const char CorporateAction_EX_INTEREST = 'E';
 const int QuoteStatus_ACCEPTED = 0;
 const int QuoteStatus_CANCELED_FOR_SYMBOL = 1;
 const int QuoteStatus_CANCELED_FOR_SECURITY_TYPE = 2;
 const int QuoteStatus_CANCELED_FOR_UNDERLYING = 3;
 const int QuoteStatus_CANCELED_ALL = 4;
 const int QuoteStatus_REJECTED = 5;
 const int QuoteStatus_REMOVED_FROM_MARKET = 6;
 const int QuoteStatus_EXPIRED = 7;
 const int QuoteStatus_QUERY = 8;
 const int QuoteStatus_QUOTE_NOT_FOUND = 9;
 const int QuoteStatus_PENDING = 10;
 const int QuoteStatus_PASS = 11;
 const int QuoteStatus_LOCKED_MARKET_WARNING = 12;
 const int QuoteStatus_CROSS_MARKET_WARNING = 13;
 const int QuoteStatus_CANCELED_DUE_TO_LOCK_MARKET = 14;
 const int QuoteStatus_CANCELED_DUE_TO_CROSS_MARKET = 15;
 const int QuoteCancelType_CANCEL_FOR_SYMBOL = 1;
 const int QuoteCancelType_CANCEL_FOR_SECURITY_TYPE = 2;
 const int QuoteCancelType_CANCEL_FOR_UNDERLYING_SYMBOL = 3;
 const int QuoteCancelType_CANCEL_ALL_QUOTES = 4;
 const int QuoteRejectReason_UNKNOWN_SYMBOL = 1;
 const int QuoteRejectReason_EXCHANGE_CLOSED = 2;
 const int QuoteRejectReason_QUOTE_REQUEST_EXCEEDS_LIMIT = 3;
 const int QuoteRejectReason_TOO_LATE_TO_ENTER = 4;
 const int QuoteRejectReason_UNKNOWN_QUOTE = 5;
 const int QuoteRejectReason_DUPLICATE_QUOTE = 6;
 const int QuoteRejectReason_INVALID_BID_ASK_SPREAD = 7;
 const int QuoteRejectReason_INVALID_PRICE = 8;
 const int QuoteRejectReason_NOT_AUTHORIZED_TO_QUOTE_SECURITY = 9;
 const int QuoteResponseLevel_NO_ACKNOWLEDGEMENT = 0;
 const int QuoteResponseLevel_ACKNOWLEDGE_ONLY_NEGATIVE_OR_ERRONEOUS_QUOTES = 1;
 const int QuoteResponseLevel_ACKNOWLEDGE_EACH_QUOTE_MESSAGES = 2;
 const int QuoteRequestType_MANUAL = 1;
 const int QuoteRequestType_AUTOMATIC = 2;
 const int SecurityRequestType_REQUEST_SECURITY_IDENTITY_AND_SPECIFICATIONS = 0;
 const int SecurityRequestType_REQUEST_SECURITY_IDENTITY_FOR_THE_SPECIFICATIONS_PROVIDED = 1;
 const int SecurityRequestType_REQUEST_LIST_SECURITY_TYPES = 2;
 const int SecurityRequestType_REQUEST_LIST_SECURITIES = 3;
 const int SecurityResponseType_ACCEPT_SECURITY_PROPOSAL_AS_IS = 1;
 const int SecurityResponseType_ACCEPT_SECURITY_PROPOSAL_WITH_REVISIONS_AS_INDICATED_IN_THE_MESSAGE = 2;
 const int SecurityResponseType_LIST_OF_SECURITY_TYPES_RETURNED_PER_REQUEST = 3;
 const int SecurityResponseType_LIST_OF_SECURITIES_RETURNED_PER_REQUEST = 4;
 const int SecurityResponseType_REJECT_SECURITY_PROPOSAL = 5;
 const int SecurityResponseType_CAN_NOT_MATCH_SELECTION_CRITERIA = 6;
 const int SecurityTradingStatus_OPENING_DELAY = 1;
 const int SecurityTradingStatus_TRADING_HALT = 2;
 const int SecurityTradingStatus_RESUME = 3;
 const int SecurityTradingStatus_NO_OPEN_NO_RESUME = 4;
 const int SecurityTradingStatus_PRICE_INDICATION = 5;
 const int SecurityTradingStatus_TRADING_RANGE_INDICATION = 6;
 const int SecurityTradingStatus_MARKET_IMBALANCE_BUY = 7;
 const int SecurityTradingStatus_MARKET_IMBALANCE_SELL = 8;
 const int SecurityTradingStatus_MARKET_ON_CLOSE_IMBALANCE_BUY = 9;
 const int SecurityTradingStatus_MARKET_ON_CLOSE_IMBALANCE_SELL = 10;
 const int SecurityTradingStatus_NOT_ASSIGNED = 11;
 const int SecurityTradingStatus_NO_MARKET_IMBALANCE = 12;
 const int SecurityTradingStatus_NO_MARKET_ON_CLOSE_IMBALANCE = 13;
 const int SecurityTradingStatus_ITS_PRE_OPENING = 14;
 const int SecurityTradingStatus_NEW_PRICE_INDICATION = 15;
 const int SecurityTradingStatus_TRADE_DISSEMINATION_TIME = 16;
 const int SecurityTradingStatus_READY_TO_TRADE_START_OF_SESSION = 17;
 const int SecurityTradingStatus_NOT_AVAILABLE_FOR_TRADING_END_OF_SESSION = 18;
 const int SecurityTradingStatus_NOT_TRADED_ON_THIS_MARKET = 19;
 const int SecurityTradingStatus_UNKNOWN_OR_INVALID = 20;
 const int SecurityTradingStatus_PRE_OPEN = 21;
 const int SecurityTradingStatus_OPENING_ROTATION = 22;
 const int SecurityTradingStatus_FAST_MARKET = 23;
 const char HaltReason_ORDER_IMBALANCE = 'I';
 const char HaltReason_EQUIPMENT_CHANGEOVER = 'X';
 const char HaltReason_NEWS_PENDING = 'P';
 const char HaltReason_NEWS_DISSEMINATION = 'D';
 const char HaltReason_ORDER_INFLUX = 'E';
 const char HaltReason_ADDITIONAL_INFORMATION = 'M';
 const int Adjustment_CANCEL = 1;
 const int Adjustment_ERROR = 2;
 const int Adjustment_CORRECTION = 3;
 const int TradSesMethod_ELECTRONIC = 1;
 const int TradSesMethod_OPEN_OUTCRY = 2;
 const int TradSesMethod_TWO_PARTY = 3;
 const int TradSesMode_TESTING = 1;
 const int TradSesMode_SIMULATED = 2;
 const int TradSesMode_PRODUCTION = 3;
 const int TradSesStatus_UNKNOWN = 0;
 const int TradSesStatus_HALTED = 1;
 const int TradSesStatus_OPEN = 2;
 const int TradSesStatus_CLOSED = 3;
 const int TradSesStatus_PRE_OPEN = 4;
 const int TradSesStatus_PRE_CLOSE = 5;
 const int TradSesStatus_REQUEST_REJECTED = 6;
 const char MessageEncoding_ISO_2022_JP[] = "ISO-2022-JP";
 const char MessageEncoding_EUC_JP[] = "EUC-JP";
 const char MessageEncoding_SHIFT_JIS[] = "SHIFT_JIS";
 const char MessageEncoding_UTF_8[] = "UTF-8";
 const int QuoteEntryRejectReason_UNKNOWN_SYMBOL = 1;
 const int QuoteEntryRejectReason_EXCHANGE_CLOSED = 2;
 const int QuoteEntryRejectReason_QUOTE_EXCEEDS_LIMIT = 3;
 const int QuoteEntryRejectReason_TOO_LATE_TO_ENTER = 4;
 const int QuoteEntryRejectReason_UNKNOWN_QUOTE = 5;
 const int QuoteEntryRejectReason_DUPLICATE_QUOTE = 6;
 const int QuoteEntryRejectReason_INVALID_BID_ASK_SPREAD = 7;
 const int QuoteEntryRejectReason_INVALID_PRICE = 8;
 const int QuoteEntryRejectReason_NOT_AUTHORIZED_TO_QUOTE_SECURITY = 9;
 const int SessionRejectReason_INVALID_TAG_NUMBER = 0;
 const int SessionRejectReason_REQUIRED_TAG_MISSING = 1;
 const int SessionRejectReason_TAG_NOT_DEFINED_FOR_THIS_MESSAGE_TYPE = 2;
 const int SessionRejectReason_UNDEFINED_TAG = 3;
 const int SessionRejectReason_TAG_SPECIFIED_WITHOUT_A_VALUE = 4;
 const int SessionRejectReason_VALUE_IS_INCORRECT = 5;
 const int SessionRejectReason_INCORRECT_DATA_FORMAT_FOR_VALUE = 6;
 const int SessionRejectReason_DECRYPTION_PROBLEM = 7;
 const int SessionRejectReason_SIGNATURE_PROBLEM = 8;
 const int SessionRejectReason_COMPID_PROBLEM = 9;
 const int SessionRejectReason_SENDINGTIME_ACCURACY_PROBLEM = 10;
 const int SessionRejectReason_INVALID_MSGTYPE = 11;
 const int SessionRejectReason_XML_VALIDATION_ERROR = 12;
 const int SessionRejectReason_TAG_APPEARS_MORE_THAN_ONCE = 13;
 const int SessionRejectReason_TAG_SPECIFIED_OUT_OF_REQUIRED_ORDER = 14;
 const int SessionRejectReason_REPEATING_GROUP_FIELDS_OUT_OF_ORDER = 15;
 const int SessionRejectReason_INCORRECT_NUMINGROUP_COUNT_FOR_REPEATING_GROUP = 16;
 const int SessionRejectReason_NON_DATA_VALUE_INCLUDES_FIELD_DELIMITER = 17;
 const int SessionRejectReason_OTHER = 99;
 const char BidRequestTransType_NEW = 'N';
 const char BidRequestTransType_CANCEL = 'C';
 const int ExecRestatementReason_GT_CORPORATE_ACTION = 0;
 const int ExecRestatementReason_GT_RENEWAL_RESTATEMENT = 1;
 const int ExecRestatementReason_VERBAL_CHANGE = 2;
 const int ExecRestatementReason_REPRICING_OF_ORDER = 3;
 const int ExecRestatementReason_BROKER_OPTION = 4;
 const int ExecRestatementReason_PARTIAL_DECLINE_OF_ORDERQTY = 5;
 const int ExecRestatementReason_CANCEL_ON_TRADING_HALT = 6;
 const int ExecRestatementReason_CANCEL_ON_SYSTEM_FAILURE = 7;
 const int ExecRestatementReason_MARKET_OPTION = 8;
 const int ExecRestatementReason_CANCELED_NOT_BEST = 9;
 const int BusinessRejectReason_OTHER = 0;
 const int BusinessRejectReason_UNKOWN_ID = 1;
 const int BusinessRejectReason_UNKNOWN_SECURITY = 2;
 const int BusinessRejectReason_UNSUPPORTED_MESSAGE_TYPE = 3;
 const int BusinessRejectReason_APPLICATION_NOT_AVAILABLE = 4;
 const int BusinessRejectReason_CONDITIONALLY_REQUIRED_FIELD_MISSING = 5;
 const int BusinessRejectReason_NOT_AUTHORIZED = 6;
 const int BusinessRejectReason_DELIVERTO_FIRM_NOT_AVAILABLE_AT_THIS_TIME = 7;
 const char MsgDirection_SEND = 'S';
 const char MsgDirection_RECEIVE = 'R';
 const char DiscretionInst_RELATED_TO_DISPLAYED_PRICE = '0';
 const char DiscretionInst_RELATED_TO_MARKET_PRICE = '1';
 const char DiscretionInst_RELATED_TO_PRIMARY_PRICE = '2';
 const char DiscretionInst_RELATED_TO_LOCAL_PRIMARY_PRICE = '3';
 const char DiscretionInst_RELATED_TO_MIDPOINT_PRICE = '4';
 const char DiscretionInst_RELATED_TO_LAST_TRADE_PRICE = '5';
 const char DiscretionInst_RELATED_TO_VWAP = '6';
 const int BidType_NON_DISCLOSED = 1;
 const int BidType_DISCLOSED_STYLE = 2;
 const int BidType_NO_BIDDING_PROCESS = 3;
 const int BidDescriptorType_SECTOR = 1;
 const int BidDescriptorType_COUNTRY = 2;
 const int BidDescriptorType_INDEX = 3;
 const int SideValueInd_SIDEVALUE1 = 1;
 const int SideValueInd_SIDEVALUE2 = 2;
 const int LiquidityIndType_FIVEDAY_MOVING_AVERAGE = 1;
 const int LiquidityIndType_TWENTYDAY_MOVING_AVERAGE = 2;
 const int LiquidityIndType_NORMAL_MARKET_SIZE = 3;
 const int LiquidityIndType_OTHER = 4;
 const int ProgRptReqs_BUYSIDE_EXPLICITLY_REQUESTS_STATUS_USING_STATUSREQUEST = 1;
 const int ProgRptReqs_SELLSIDE_PERIODICALLY_SENDS_STATUS_USING_LISTSTATUS = 2;
 const int ProgRptReqs_REAL_TIME_EXECUTION_REPORTS = 3;
 const int IncTaxInd_NET = 1;
 const int IncTaxInd_GROSS = 2;
 const char BidTradeType_RISK_TRADE = 'R';
 const char BidTradeType_VWAP_GUARANTEE = 'G';
 const char BidTradeType_AGENCY = 'A';
 const char BidTradeType_GUARANTEED_CLOSE = 'J';
 const char BasisPxType_CLOSING_PRICE_AT_MORNING_SESSION = '2';
 const char BasisPxType_CLOSING_PRICE = '3';
 const char BasisPxType_CURRENT_PRICE = '4';
 const char BasisPxType_SQ = '5';
 const char BasisPxType_VWAP_THROUGH_A_DAY = '6';
 const char BasisPxType_VWAP_THROUGH_A_MORNING_SESSION = '7';
 const char BasisPxType_VWAP_THROUGH_AN_AFTERNOON_SESSION = '8';
 const char BasisPxType_VWAP_THROUGH_A_DAY_EXCEPT_YORI = '9';
 const char BasisPxType_VWAP_THROUGH_A_MORNING_SESSION_EXCEPT_YORI = 'A';
 const char BasisPxType_VWAP_THROUGH_AN_AFTERNOON_SESSION_EXCEPT_YORI = 'B';
 const char BasisPxType_STRIKE = 'C';
 const char BasisPxType_OPEN = 'D';
 const char BasisPxType_OTHERS = 'Z';
 const int PriceType_PERCENTAGE = 1;
 const int PriceType_PER_UNIT = 2;
 const int PriceType_FIXED_AMOUNT = 3;
 const int PriceType_DISCOUNT = 4;
 const int PriceType_PREMIUM = 5;
 const int PriceType_SPREAD = 6;
 const int PriceType_TED_PRICE = 7;
 const int PriceType_TED_YIELD = 8;
 const int PriceType_YIELD = 9;
 const int GTBookingInst_BOOK_OUT_ALL_TRADES_ON_DAY_OF_EXECUTION = 0;
 const int GTBookingInst_ACCUMULATE_EXECUTIONS_UNTIL_ORDER_IS_FILLED_OR_EXPIRES = 1;
 const int GTBookingInst_ACCUMULATE_UNTIL_VERBALLY_NOTIFIED_OTHERWISE = 2;
 const int ListStatusType_ACK = 1;
 const int ListStatusType_RESPONSE = 2;
 const int ListStatusType_TIMED = 3;
 const int ListStatusType_EXECSTARTED = 4;
 const int ListStatusType_ALLDONE = 5;
 const int ListStatusType_ALERT = 6;
 const int NetGrossInd_NET = 1;
 const int NetGrossInd_GROSS = 2;
 const int ListOrderStatus_INBIDDINGPROCESS = 1;
 const int ListOrderStatus_RECEIVEDFOREXECUTION = 2;
 const int ListOrderStatus_EXECUTING = 3;
 const int ListOrderStatus_CANCELING = 4;
 const int ListOrderStatus_ALERT = 5;
 const int ListOrderStatus_ALL_DONE = 6;
 const int ListOrderStatus_REJECT = 7;
 const char ListExecInstType_IMMEDIATE = '1';
 const char ListExecInstType_WAIT_FOR_EXECUTE_INSTRUCTION = '2';
 const char ListExecInstType_EXCHANGE_SWITCH_CIV_ORDER_SELL_DRIVEN = '3';
 const char ListExecInstType_EXCHANGE_SWITCH_CIV_ORDER_BUY_DRIVEN_CASH_TOP_UP = '4';
 const char ListExecInstType_EXCHANGE_SWITCH_CIV_ORDER_BUY_DRIVEN_CASH_WITHDRAW = '5';
 const char CxlRejResponseTo_ORDER_CANCEL_REQUEST = '1';
 const char CxlRejResponseTo_ORDER_CANCEL_REPLACE_REQUEST = '2';
 const char MultiLegReportingType_SINGLE_SECURITY = '1';
 const char MultiLegReportingType_INDIVIDUAL_LEG_OF_A_MULTI_LEG_SECURITY = '2';
 const char MultiLegReportingType_MULTI_LEG_SECURITY = '3';
 const char PartyIDSource_BIC = 'B';
 const char PartyIDSource_GENERALLY_ACCEPTED_MARKET_PARTICIPANT_IDENTIFIER = 'C';
 const char PartyIDSource_PROPRIETARY_CUSTOM_CODE = 'D';
 const char PartyIDSource_ISO_COUNTRY_CODE = 'E';
 const char PartyIDSource_SETTLEMENT_ENTITY_LOCATION = 'F';
 const char PartyIDSource_MIC = 'G';
 const char PartyIDSource_CSD_PARTICIPANT_MEMBER_CODE = 'H';
 const char PartyIDSource_KOREAN_INVESTOR_ID = '1';
 const char PartyIDSource_TAIWANESE_QUALIFIED_FOREIGN_INVESTOR_ID_QFII_FID = '2';
 const char PartyIDSource_TAIWANESE_TRADING_ACCOUNT = '3';
 const char PartyIDSource_MALAYSIAN_CENTRAL_DEPOSITORY_NUMBER = '4';
 const char PartyIDSource_CHINESE_B_SHARE = '5';
 const char PartyIDSource_UK_NATIONAL_INSURANCE_OR_PENSION_NUMBER = '6';
 const char PartyIDSource_US_SOCIAL_SECURITY_NUMBER = '7';
 const char PartyIDSource_US_EMPLOYER_IDENTIFICATION_NUMBER = '8';
 const char PartyIDSource_AUSTRALIAN_BUSINESS_NUMBER = '9';
 const char PartyIDSource_AUSTRALIAN_TAX_FILE_NUMBER = 'A';
 const char PartyIDSource_DIRECTED_BROKER = 'I';
 const int PartyRole_EXECUTING_FIRM = 1;
 const int PartyRole_BROKER_OF_CREDIT = 2;
 const int PartyRole_CLIENT_ID = 3;
 const int PartyRole_CLEARING_FIRM = 4;
 const int PartyRole_INVESTOR_ID = 5;
 const int PartyRole_INTRODUCING_FIRM = 6;
 const int PartyRole_ENTERING_FIRM = 7;
 const int PartyRole_LOCATE_LENDING_FIRM = 8;
 const int PartyRole_FUND_MANAGER_CLIENT_ID = 9;
 const int Product_AGENCY = 1;
 const int Product_COMMODITY = 2;
 const int Product_CORPORATE = 3;
 const int Product_CURRENCY = 4;
 const int Product_EQUITY = 5;
 const int Product_GOVERNMENT = 6;
 const int Product_INDEX = 7;
 const int Product_LOAN = 8;
 const int Product_MONEYMARKET = 9;
 const int Product_MORTGAGE = 10;
 const int Product_MUNICIPAL = 11;
 const int Product_OTHER = 12;
 const int Product_FINANCING = 13;
 const int QuantityType_SHARES = 1;
 const int QuantityType_BONDS = 2;
 const int QuantityType_CURRENTFACE = 3;
 const int QuantityType_ORIGINALFACE = 4;
 const int QuantityType_CURRENCY = 5;
 const int QuantityType_CONTRACTS = 6;
 const int QuantityType_OTHER = 7;
 const int QuantityType_PAR = 8;
 const char RoundingDirection_ROUND_TO_NEAREST = '0';
 const char RoundingDirection_ROUND_DOWN = '1';
 const char RoundingDirection_ROUND_UP = '2';
 const int DistribPaymentMethod_CREST = 1;
 const int DistribPaymentMethod_NSCC = 2;
 const int DistribPaymentMethod_EUROCLEAR = 3;
 const int DistribPaymentMethod_CLEARSTREAM = 4;
 const int DistribPaymentMethod_CHEQUE = 5;
 const int DistribPaymentMethod_TELEGRAPHIC_TRANSFER = 6;
 const int DistribPaymentMethod_FEDWIRE = 7;
 const int DistribPaymentMethod_DIRECT_CREDIT = 8;
 const int DistribPaymentMethod_ACH_CREDIT = 9;
 const char CancellationRights_NO_EXECUTION_ONLY = 'N';
 const char CancellationRights_NO_WAIVER_AGREEMENT = 'M';
 const char CancellationRights_NO_INSTITUTIONAL = 'O';
 const char MoneyLaunderingStatus_PASSED = 'Y';
 const char MoneyLaunderingStatus_NOT_CHECKED = 'N';
 const char MoneyLaunderingStatus_EXEMPT_BELOW_THE_LIMIT = '1';
 const char MoneyLaunderingStatus_EXEMPT_CLIENT_MONEY_TYPE_EXEMPTION = '2';
 const char MoneyLaunderingStatus_EXEMPT_AUTHORISED_CREDIT_OR_FINANCIAL_INSTITUTION = '3';
 const char ExecPriceType_BID_PRICE = 'B';
 const char ExecPriceType_CREATION_PRICE = 'C';
 const char ExecPriceType_CREATION_PRICE_PLUS_ADJUSTMENT_PERCENT = 'D';
 const char ExecPriceType_CREATION_PRICE_PLUS_ADJUSTMENT_AMOUNT = 'E';
 const char ExecPriceType_OFFER_PRICE = 'O';
 const char ExecPriceType_OFFER_PRICE_MINUS_ADJUSTMENT_PERCENT = 'P';
 const char ExecPriceType_OFFER_PRICE_MINUS_ADJUSTMENT_AMOUNT = 'Q';
 const char ExecPriceType_SINGLE_PRICE = 'S';
 const int TradeReportTransType_NEW = 0;
 const int TradeReportTransType_CANCEL = 1;
 const int TradeReportTransType_REPLACE = 2;
 const int TradeReportTransType_RELEASE = 3;
 const int TradeReportTransType_REVERSE = 4;
 const int PaymentMethod_CREST = 1;
 const int PaymentMethod_NSCC = 2;
 const int PaymentMethod_EUROCLEAR = 3;
 const int PaymentMethod_CLEARSTREAM = 4;
 const int PaymentMethod_CHEQUE = 5;
 const int PaymentMethod_TELEGRAPHIC_TRANSFER = 6;
 const int PaymentMethod_FEDWIRE = 7;
 const int PaymentMethod_DEBIT_CARD = 8;
 const int PaymentMethod_DIRECT_DEBIT = 9;
 const int TaxAdvantageType_NONE = 0;
 const int TaxAdvantageType_MAXI_ISA = 1;
 const int TaxAdvantageType_TESSA = 2;
 const int TaxAdvantageType_MINI_CASH_ISA = 3;
 const int TaxAdvantageType_MINI_STOCKS_AND_SHARES_ISA = 4;
 const int TaxAdvantageType_MINI_INSURANCE_ISA = 5;
 const int TaxAdvantageType_CURRENT_YEAR_PAYMENT = 6;
 const int TaxAdvantageType_PRIOR_YEAR_PAYMENT = 7;
 const int TaxAdvantageType_ASSET_TRANSFER = 8;
 const int TaxAdvantageType_EMPLOYEE_PRIOR_YEAR = 9;
 const int TaxAdvantageType_OTHER = 999;
 const char FundRenewWaiv_YES = 'Y';
 const char FundRenewWaiv_NO = 'N';
 const char RegistStatus_ACCEPTED = 'A';
 const char RegistStatus_REJECTED = 'R';
 const char RegistStatus_HELD = 'H';
 const char RegistStatus_REMINDER = 'N';
 const int RegistRejReasonCode_INVALID_UNACCEPTABLE_ACCOUNT_TYPE = 1;
 const int RegistRejReasonCode_INVALID_UNACCEPTABLE_TAX_EXEMPT_TYPE = 2;
 const int RegistRejReasonCode_INVALID_UNACCEPTABLE_OWNERSHIP_TYPE = 3;
 const int RegistRejReasonCode_INVALID_UNACCEPTABLE_NO_REG_DETLS = 4;
 const int RegistRejReasonCode_INVALID_UNACCEPTABLE_REG_SEQ_NO = 5;
 const int RegistRejReasonCode_INVALID_UNACCEPTABLE_REG_DTLS = 6;
 const int RegistRejReasonCode_INVALID_UNACCEPTABLE_MAILING_DTLS = 7;
 const int RegistRejReasonCode_INVALID_UNACCEPTABLE_MAILING_INST = 8;
 const int RegistRejReasonCode_INVALID_UNACCEPTABLE_INVESTOR_ID = 9;
 const int RegistRejReasonCode_INVALID_UNACCEPTABLE_INVESTOR_ID_SOURCE = 10;
 const int RegistRejReasonCode_INVALID_UNACCEPTABLE_DATE_OF_BIRTH = 11;
 const int RegistRejReasonCode_INVALID_UNACCEPTABLE_INVESTOR_COUNTRY_OF_RESIDENCE = 12;
 const int RegistRejReasonCode_INVALID_UNACCEPTABLE_NODISTRIBINSTNS = 13;
 const int RegistRejReasonCode_INVALID_UNACCEPTABLE_DISTRIB_PERCENTAGE = 14;
 const int RegistRejReasonCode_INVALID_UNACCEPTABLE_DISTRIB_PAYMENT_METHOD = 15;
 const int RegistRejReasonCode_INVALID_UNACCEPTABLE_CASH_DISTRIB_AGENT_ACCT_NAME = 16;
 const int RegistRejReasonCode_INVALID_UNACCEPTABLE_CASH_DISTRIB_AGENT_CODE = 17;
 const int RegistRejReasonCode_INVALID_UNACCEPTABLE_CASH_DISTRIB_AGENT_ACCT_NUM = 18;
 const int RegistRejReasonCode_OTHER = 99;
 const char RegistTransType_NEW = '0';
 const char RegistTransType_REPLACE = '1';
 const char RegistTransType_CANCEL = '2';
 const char OwnershipType_JOINT_INVESTORS = 'J';
 const char OwnershipType_TENANTS_IN_COMMON = 'T';
 const char OwnershipType_JOINT_TRUSTEES = '2';
 const int ContAmtType_COMMISSION_AMOUNT = 1;
 const int ContAmtType_COMMISSION_PERCENT = 2;
 const int ContAmtType_INITIAL_CHARGE_AMOUNT = 3;
 const int ContAmtType_INITIAL_CHARGE_PERCENT = 4;
 const int ContAmtType_DISCOUNT_AMOUNT = 5;
 const int ContAmtType_DISCOUNT_PERCENT = 6;
 const int ContAmtType_DILUTION_LEVY_AMOUNT = 7;
 const int ContAmtType_DILUTION_LEVY_PERCENT = 8;
 const int ContAmtType_EXIT_CHARGE_AMOUNT = 9;
 const int OwnerType_INDIVIDUAL_INVESTOR = 1;
 const int OwnerType_PUBLIC_COMPANY = 2;
 const int OwnerType_PRIVATE_COMPANY = 3;
 const int OwnerType_INDIVIDUAL_TRUSTEE = 4;
 const int OwnerType_COMPANY_TRUSTEE = 5;
 const int OwnerType_PENSION_PLAN = 6;
 const int OwnerType_CUSTODIAN_UNDER_GIFTS_TO_MINORS_ACT = 7;
 const int OwnerType_TRUSTS = 8;
 const int OwnerType_FIDUCIARIES = 9;
 const char OrderCapacity_AGENCY = 'A';
 const char OrderCapacity_PROPRIETARY = 'G';
 const char OrderCapacity_INDIVIDUAL = 'I';
 const char OrderCapacity_PRINCIPAL = 'P';
 const char OrderCapacity_RISKLESS_PRINCIPAL = 'R';
 const char OrderCapacity_AGENT_FOR_OTHER_MEMBER = 'W';
 const char OrderRestrictions_PROGRAM_TRADE = '1';
 const char OrderRestrictions_INDEX_ARBITRAGE = '2';
 const char OrderRestrictions_NON_INDEX_ARBITRAGE = '3';
 const char OrderRestrictions_COMPETING_MARKET_MAKER = '4';
 const char OrderRestrictions_ACTING_AS_MARKET_MAKER_OR_SPECIALIST_IN_THE_SECURITY = '5';
 const char OrderRestrictions_ACTING_AS_MARKET_MAKER_OR_SPECIALIST_IN_THE_UNDERLYING_SECURITY_OF_A_DERIVATIVE_SECURITY = '6';
 const char OrderRestrictions_FOREIGN_ENTITY = '7';
 const char OrderRestrictions_EXTERNAL_MARKET_PARTICIPANT = '8';
 const char OrderRestrictions_EXTERNAL_INTER_CONNECTED_MARKET_LINKAGE = '9';
 const char OrderRestrictions_RISKLESS_ARBITRAGE = 'A';
 const char MassCancelRequestType_CANCEL_ORDERS_FOR_A_SECURITY = '1';
 const char MassCancelRequestType_CANCEL_ORDERS_FOR_AN_UNDERLYING_SECURITY = '2';
 const char MassCancelRequestType_CANCEL_ORDERS_FOR_A_PRODUCT = '3';
 const char MassCancelRequestType_CANCEL_ORDERS_FOR_A_CFICODE = '4';
 const char MassCancelRequestType_CANCEL_ORDERS_FOR_A_SECURITYTYPE = '5';
 const char MassCancelRequestType_CANCEL_ORDERS_FOR_A_TRADING_SESSION = '6';
 const char MassCancelRequestType_CANCEL_ALL_ORDERS = '7';
 const char MassCancelResponse_CANCEL_REQUEST_REJECTED = '0';
 const char MassCancelResponse_CANCEL_ORDERS_FOR_A_SECURITY = '1';
 const char MassCancelResponse_CANCEL_ORDERS_FOR_AN_UNDERLYING_SECURITY = '2';
 const char MassCancelResponse_CANCEL_ORDERS_FOR_A_PRODUCT = '3';
 const char MassCancelResponse_CANCEL_ORDERS_FOR_A_CFICODE = '4';
 const char MassCancelResponse_CANCEL_ORDERS_FOR_A_SECURITYTYPE = '5';
 const char MassCancelResponse_CANCEL_ORDERS_FOR_A_TRADING_SESSION = '6';
 const char MassCancelResponse_CANCEL_ALL_ORDERS = '7';
 const char MassCancelRejectReason_MASS_CANCEL_NOT_SUPPORTED = '0';
 const char MassCancelRejectReason_INVALID_OR_UNKNOWN_SECURITY = '1';
 const char MassCancelRejectReason_INVALID_OR_UNKNOWN_UNDERLYING = '2';
 const char MassCancelRejectReason_INVALID_OR_UNKNOWN_PRODUCT = '3';
 const char MassCancelRejectReason_INVALID_OR_UNKNOWN_CFICODE = '4';
 const char MassCancelRejectReason_INVALID_OR_UNKNOWN_SECURITY_TYPE = '5';
 const char MassCancelRejectReason_INVALID_OR_UNKNOWN_TRADING_SESSION = '6';
 const int QuoteType_INDICATIVE = 0;
 const int QuoteType_TRADEABLE = 1;
 const int QuoteType_RESTRICTED_TRADEABLE = 2;
 const int QuoteType_COUNTER = 3;
 const char CashMargin_CASH = '1';
 const char CashMargin_MARGIN_OPEN = '2';
 const char CashMargin_MARGIN_CLOSE = '3';
 const char Scope_LOCAL = '1';
 const char Scope_NATIONAL = '2';
 const char Scope_GLOBAL = '3';
 const int CrossType_CROSS_TRADE_WHICH_IS_EXECUTED_COMPLETELY_OR_NOT = 1;
 const int CrossType_CROSS_TRADE_WHICH_IS_EXECUTED_PARTIALLY_AND_THE_REST_IS_CANCELLED = 2;
 const int CrossType_CROSS_TRADE_WHICH_IS_PARTIALLY_EXECUTED_WITH_THE_UNFILLED_PORTIONS_REMAINING_ACTIVE = 3;
 const int CrossType_CROSS_TRADE_IS_EXECUTED_WITH_EXISTING_ORDERS_WITH_THE_SAME_PRICE = 4;
 const int CrossPrioritization_NONE = 0;
 const int CrossPrioritization_BUY_SIDE_IS_PRIORITIZED = 1;
 const int CrossPrioritization_SELL_SIDE_IS_PRIORITIZED = 2;
 const char NoSides_ONE_SIDE = '1';
 const char NoSides_BOTH_SIDES = '2';
 const int SecurityListRequestType_SYMBOL = 0;
 const int SecurityListRequestType_SECURITYTYPE_AND_OR_CFICODE = 1;
 const int SecurityListRequestType_PRODUCT = 2;
 const int SecurityListRequestType_TRADINGSESSIONID = 3;
 const int SecurityListRequestType_ALL_SECURITIES = 4;
 const int SecurityRequestResult_VALID_REQUEST = 0;
 const int SecurityRequestResult_INVALID_OR_UNSUPPORTED_REQUEST = 1;
 const int SecurityRequestResult_NO_INSTRUMENTS_FOUND_THAT_MATCH_SELECTION_CRITERIA = 2;
 const int SecurityRequestResult_NOT_AUTHORIZED_TO_RETRIEVE_INSTRUMENT_DATA = 3;
 const int SecurityRequestResult_INSTRUMENT_DATA_TEMPORARILY_UNAVAILABLE = 4;
 const int SecurityRequestResult_REQUEST_FOR_INSTRUMENT_DATA_NOT_SUPPORTED = 5;
 const int MultiLegRptTypeReq_REPORT_BY_MULITLEG_SECURITY_ONLY = 0;
 const int MultiLegRptTypeReq_REPORT_BY_MULTILEG_SECURITY_AND_BY_INSTRUMENT_LEGS_BELONGING_TO_THE_MULTILEG_SECURITY = 1;
 const int MultiLegRptTypeReq_REPORT_BY_INSTRUMENT_LEGS_BELONGING_TO_THE_MULTILEG_SECURITY_ONLY = 2;
 const int TradSesStatusRejReason_UNKNOWN_OR_INVALID_TRADINGSESSIONID = 1;
 const int TradeRequestType_ALL_TRADES = 0;
 const int TradeRequestType_MATCHED_TRADES_MATCHING_CRITERIA_PROVIDED_ON_REQUEST = 1;
 const int TradeRequestType_UNMATCHED_TRADES_THAT_MATCH_CRITERIA = 2;
 const int TradeRequestType_UNREPORTED_TRADES_THAT_MATCH_CRITERIA = 3;
 const int TradeRequestType_ADVISORIES_THAT_MATCH_CRITERIA = 4;
 const char MatchStatus_COMPARED_MATCHED_OR_AFFIRMED = '0';
 const char MatchStatus_UNCOMPARED_UNMATCHED_OR_UNAFFIRMED = '1';
 const char MatchStatus_ADVISORY_OR_ALERT = '2';
 const int ClearingInstruction_PROCESS_NORMALLY = 0;
 const int ClearingInstruction_EXCLUDE_FROM_ALL_NETTING = 1;
 const int ClearingInstruction_BILATERAL_NETTING_ONLY = 2;
 const int ClearingInstruction_EX_CLEARING = 3;
 const int ClearingInstruction_SPECIAL_TRADE = 4;
 const int ClearingInstruction_MULTILATERAL_NETTING = 5;
 const int ClearingInstruction_CLEAR_AGAINST_CENTRAL_COUNTERPARTY = 6;
 const int ClearingInstruction_EXCLUDE_FROM_CENTRAL_COUNTERPARTY = 7;
 const int ClearingInstruction_MANUAL_MODE = 8;
 const int ClearingInstruction_AUTOMATIC_POSTING_MODE = 9;
 const int AccountType_ACCOUNT_IS_CARRIED_ON_CUSTOMER_SIDE_OF_BOOKS = 1;
 const int AccountType_ACCOUNT_IS_CARRIED_ON_NON_CUSTOMER_SIDE_OF_BOOKS = 2;
 const int AccountType_HOUSE_TRADER = 3;
 const int AccountType_FLOOR_TRADER = 4;
 const int AccountType_ACCOUNT_IS_CARRIED_ON_NON_CUSTOMER_SIDE_OF_BOOKS_AND_IS_CROSS_MARGINED = 6;
 const int AccountType_ACCOUNT_IS_HOUSE_TRADER_AND_IS_CROSS_MARGINED = 7;
 const int AccountType_JOINT_BACKOFFICE_ACCOUNT = 8;
 const int CustOrderCapacity_MEMBER_TRADING_FOR_THEIR_OWN_ACCOUNT = 1;
 const int CustOrderCapacity_CLEARING_FIRM_TRADING_FOR_ITS_PROPRIETARY_ACCOUNT = 2;
 const int CustOrderCapacity_MEMBER_TRADING_FOR_ANOTHER_MEMBER = 3;
 const int CustOrderCapacity_ALL_OTHER = 4;
 const int MassStatusReqType_STATUS_FOR_ORDERS_FOR_A_SECURITY = 1;
 const int MassStatusReqType_STATUS_FOR_ORDERS_FOR_AN_UNDERLYING_SECURITY = 2;
 const int MassStatusReqType_STATUS_FOR_ORDERS_FOR_A_PRODUCT = 3;
 const int MassStatusReqType_STATUS_FOR_ORDERS_FOR_A_CFICODE = 4;
 const int MassStatusReqType_STATUS_FOR_ORDERS_FOR_A_SECURITYTYPE = 5;
 const int MassStatusReqType_STATUS_FOR_ORDERS_FOR_A_TRADING_SESSION = 6;
 const int MassStatusReqType_STATUS_FOR_ALL_ORDERS = 7;
 const int MassStatusReqType_STATUS_FOR_ORDERS_FOR_A_PARTYID = 8;
 const char DayBookingInst_CAN_TRIGGER_BOOKING_WITHOUT_REFERENCE_TO_THE_ORDER_INITIATOR = '0';
 const char DayBookingInst_SPEAK_WITH_ORDER_INITIATOR_BEFORE_BOOKING = '1';
 const char DayBookingInst_ACCUMULATE = '2';
 const char BookingUnit_EACH_PARTIAL_EXECUTION_IS_A_BOOKABLE_UNIT = '0';
 const char BookingUnit_AGGREGATE_PARTIAL_EXECUTIONS_ON_THIS_ORDER_AND_BOOK_ONE_TRADE_PER_ORDER = '1';
 const char BookingUnit_AGGREGATE_EXECUTIONS_FOR_THIS_SYMBOL_SIDE_AND_SETTLEMENT_DATE = '2';
 const char PreallocMethod_PRO_RATA = '0';
 const char PreallocMethod_DO_NOT_PRO_RATA = '1';
 const int AllocType_CALCULATED = 1;
 const int AllocType_PRELIMINARY = 2;
 const int AllocType_READY_TO_BOOK_SINGLE_ORDER = 5;
 const int AllocType_WAREHOUSE_INSTRUCTION = 7;
 const int AllocType_REQUEST_TO_INTERMEDIARY = 8;
 const char ClearingFeeIndicator_CBOE_MEMBER[] = "B";
 const char ClearingFeeIndicator_NON_MEMBER_AND_CUSTOMER[] = "C";
 const char ClearingFeeIndicator_EQUITY_MEMBER_AND_CLEARING_MEMBER[] = "E";
 const char ClearingFeeIndicator_FULL_AND_ASSOCIATE_MEMBER_TRADING_FOR_OWN_ACCOUNT_AND_AS_FLOOR_BROKERS[] = "F";
 const char ClearingFeeIndicator_FIRMS_106H_AND_106J[] = "H";
 const char ClearingFeeIndicator_GIM_IDEM_AND_COM_MEMBERSHIP_INTEREST_HOLDERS[] = "I";
 const char ClearingFeeIndicator_LESSEE_AND_106F_EMPLOYEES[] = "L";
 const char ClearingFeeIndicator_ALL_OTHER_OWNERSHIP_TYPES[] = "M";
 const int PriorityIndicator_PRIORITY_UNCHANGED = 0;
 const int PriorityIndicator_LOST_PRIORITY_AS_RESULT_OF_ORDER_CHANGE = 1;
 const int QuoteRequestRejectReason_UNKNOWN_SYMBOL = 1;
 const int QuoteRequestRejectReason_EXCHANGE_CLOSED = 2;
 const int QuoteRequestRejectReason_QUOTE_REQUEST_EXCEEDS_LIMIT = 3;
 const int QuoteRequestRejectReason_TOO_LATE_TO_ENTER = 4;
 const int QuoteRequestRejectReason_INVALID_PRICE = 5;
 const int QuoteRequestRejectReason_NOT_AUTHORIZED_TO_REQUEST_QUOTE = 6;
 const int QuoteRequestRejectReason_NO_MATCH_FOR_INQUIRY = 7;
 const int QuoteRequestRejectReason_NO_MARKET_FOR_INSTRUMENT = 8;
 const int QuoteRequestRejectReason_NO_INVENTORY = 9;
 const int AcctIDSource_BIC = 1;
 const int AcctIDSource_SID_CODE = 2;
 const int AcctIDSource_TFM = 3;
 const int AcctIDSource_OMGEO = 4;
 const int AcctIDSource_DTCC_CODE = 5;
 const int ConfirmStatus_RECEIVED = 1;
 const int ConfirmStatus_MISMATCHED_ACCOUNT = 2;
 const int ConfirmStatus_MISSING_SETTLEMENT_INSTRUCTIONS = 3;
 const int ConfirmStatus_CONFIRMED = 4;
 const int ConfirmStatus_REQUEST_REJECTED = 5;
 const int ConfirmTransType_NEW = 0;
 const int ConfirmTransType_REPLACE = 1;
 const int ConfirmTransType_CANCEL = 2;
 const int DeliveryForm_BOOKENTRY = 1;
 const int DeliveryForm_BEARER = 2;
 const int LegSwapType_PAR_FOR_PAR = 1;
 const int LegSwapType_MODIFIED_DURATION = 2;
 const int LegSwapType_RISK = 4;
 const int LegSwapType_PROCEEDS = 5;
 const int QuotePriceType_PERCENT = 1;
 const int QuotePriceType_PER_SHARE = 2;
 const int QuotePriceType_FIXED_AMOUNT = 3;
 const int QuotePriceType_DISCOUNT = 4;
 const int QuotePriceType_PREMIUM = 5;
 const int QuotePriceType_BASIS_POINTS_RELATIVE_TO_BENCHMARK = 6;
 const int QuotePriceType_TED_PRICE = 7;
 const int QuotePriceType_TED_YIELD = 8;
 const int QuotePriceType_YIELD_SPREAD = 9;
 const int QuoteRespType_HIT_LIFT = 1;
 const int QuoteRespType_COUNTER = 2;
 const int QuoteRespType_EXPIRED = 3;
 const int QuoteRespType_COVER = 4;
 const int QuoteRespType_DONE_AWAY = 5;
 const int QuoteRespType_PASS = 6;
 const char PosType_TRANSACTION_QUANTITY[] = "TQ";
 const char PosType_INTRA_SPREAD_QTY[] = "IAS";
 const char PosType_INTER_SPREAD_QTY[] = "IES";
 const char PosType_END_OF_DAY_QTY[] = "FIN";
 const char PosType_START_OF_DAY_QTY[] = "SOD";
 const char PosType_OPTION_EXERCISE_QTY[] = "EX";
 const char PosType_OPTION_ASSIGNMENT[] = "AS";
 const char PosType_TRANSACTION_FROM_EXERCISE[] = "TX";
 const char PosType_TRANSACTION_FROM_ASSIGNMENT[] = "TA";
 const char PosType_PIT_TRADE_QTY[] = "PIT";
 const char PosType_TRANSFER_TRADE_QTY[] = "TRF";
 const char PosType_ELECTRONIC_TRADE_QTY[] = "ETR";
 const char PosType_ALLOCATION_TRADE_QTY[] = "ALC";
 const char PosType_ADJUSTMENT_QTY[] = "PA";
 const char PosType_AS_OF_TRADE_QTY[] = "ASF";
 const char PosType_DELIVERY_QTY[] = "DLV";
 const char PosType_TOTAL_TRANSACTION_QTY[] = "TOT";
 const char PosType_CROSS_MARGIN_QTY[] = "XM";
 const char PosType_INTEGRAL_SPLIT[] = "SPL";
 const int PosQtyStatus_SUBMITTED = 0;
 const int PosQtyStatus_ACCEPTED = 1;
 const int PosQtyStatus_REJECTED = 2;
 const char PosAmtType_FINAL_MARK_TO_MARKET_AMOUNT[] = "FMTM";
 const char PosAmtType_INCREMENTAL_MARK_TO_MARKET_AMOUNT[] = "IMTM";
 const char PosAmtType_TRADE_VARIATION_AMOUNT[] = "TVAR";
 const char PosAmtType_START_OF_DAY_MARK_TO_MARKET_AMOUNT[] = "SMTM";
 const char PosAmtType_PREMIUM_AMOUNT[] = "PREM";
 const char PosAmtType_CASH_RESIDUAL_AMOUNT[] = "CRES";
 const char PosAmtType_CASH_AMOUNT[] = "CASH";
 const char PosAmtType_VALUE_ADJUSTED_AMOUNT[] = "VADJ";
 const int PosTransType_EXERCISE = 1;
 const int PosTransType_DO_NOT_EXERCISE = 2;
 const int PosTransType_POSITION_ADJUSTMENT = 3;
 const int PosTransType_POSITION_CHANGE_SUBMISSION_MARGIN_DISPOSITION = 4;
 const int PosTransType_PLEDGE = 5;
 const int PosMaintAction_NEW = 1;
 const int PosMaintAction_REPLACE = 2;
 const int PosMaintAction_CANCEL = 3;
 const int AdjustmentType_PROCESS_REQUEST_AS_MARGIN_DISPOSITION = 0;
 const int AdjustmentType_DELTA_PLUS = 1;
 const int AdjustmentType_DELTA_MINUS = 2;
 const int AdjustmentType_FINAL = 3;
 const int PosMaintStatus_ACCEPTED = 0;
 const int PosMaintStatus_ACCEPTED_WITH_WARNINGS = 1;
 const int PosMaintStatus_REJECTED = 2;
 const int PosMaintStatus_COMPLETED = 3;
 const int PosMaintStatus_COMPLETED_WITH_WARNINGS = 4;
 const int PosMaintResult_SUCCESSFUL_COMPLETION_NO_WARNINGS_OR_ERRORS = 0;
 const int PosMaintResult_REJECTED = 1;
 const int PosReqType_POSITIONS = 0;
 const int PosReqType_TRADES = 1;
 const int PosReqType_EXERCISES = 2;
 const int PosReqType_ASSIGNMENTS = 3;
 const int ResponseTransportType_INBAND = 0;
 const int ResponseTransportType_OUT_OF_BAND = 1;
 const int PosReqResult_VALID_REQUEST = 0;
 const int PosReqResult_INVALID_OR_UNSUPPORTED_REQUEST = 1;
 const int PosReqResult_NO_POSITIONS_FOUND_THAT_MATCH_CRITERIA = 2;
 const int PosReqResult_NOT_AUTHORIZED_TO_REQUEST_POSITIONS = 3;
 const int PosReqResult_REQUEST_FOR_POSITION_NOT_SUPPORTED = 4;
 const int PosReqResult_OTHER = 99;
 const int PosReqStatus_COMPLETED = 0;
 const int PosReqStatus_COMPLETED_WITH_WARNINGS = 1;
 const int PosReqStatus_REJECTED = 2;
 const int SettlPriceType_FINAL = 1;
 const int SettlPriceType_THEORETICAL = 2;
 const char AssignmentMethod_RANDOM = 'R';
 const char AssignmentMethod_PRORATA = 'P';
 const char ExerciseMethod_AUTOMATIC = 'A';
 const char ExerciseMethod_MANUAL = 'M';
 const int TradeRequestResult_SUCCESSFUL = 0;
 const int TradeRequestResult_INVALID_OR_UNKNOWN_INSTRUMENT = 1;
 const int TradeRequestResult_INVALID_TYPE_OF_TRADE_REQUESTED = 2;
 const int TradeRequestResult_INVALID_PARTIES = 3;
 const int TradeRequestResult_INVALID_TRANSPORT_TYPE_REQUESTED = 4;
 const int TradeRequestResult_INVALID_DESTINATION_REQUESTED = 5;
 const int TradeRequestResult_TRADEREQUESTTYPE_NOT_SUPPORTED = 8;
 const int TradeRequestResult_UNAUTHORIZED_FOR_TRADE_CAPTURE_REPORT_REQUEST = 9;
 const int TradeRequestStatus_ACCEPTED = 0;
 const int TradeRequestStatus_COMPLETED = 1;
 const int TradeRequestStatus_REJECTED = 2;
 const int TradeReportRejectReason_SUCCESSFUL = 0;
 const int TradeReportRejectReason_INVALID_PARTY_INFORMATION = 1;
 const int TradeReportRejectReason_UNKNOWN_INSTRUMENT = 2;
 const int TradeReportRejectReason_UNAUTHORIZED_TO_REPORT_TRADES = 3;
 const int TradeReportRejectReason_INVALID_TRADE_TYPE = 4;
 const int SideMultiLegReportingType_SINGLE_SECURITY = 1;
 const int SideMultiLegReportingType_INDIVIDUAL_LEG_OF_A_MULTI_LEG_SECURITY = 2;
 const int SideMultiLegReportingType_MULTI_LEG_SECURITY = 3;
 const int TrdRegTimestampType_EXECUTION_TIME = 1;
 const int TrdRegTimestampType_TIME_IN = 2;
 const int TrdRegTimestampType_TIME_OUT = 3;
 const int TrdRegTimestampType_BROKER_RECEIPT = 4;
 const int TrdRegTimestampType_BROKER_EXECUTION = 5;
 const int ConfirmType_STATUS = 1;
 const int ConfirmType_CONFIRMATION = 2;
 const int ConfirmType_CONFIRMATION_REQUEST_REJECTED = 3;
 const int ConfirmRejReason_MISMATCHED_ACCOUNT = 1;
 const int ConfirmRejReason_MISSING_SETTLEMENT_INSTRUCTIONS = 2;
 const int BookingType_REGULAR_BOOKING = 0;
 const int BookingType_CFD = 1;
 const int BookingType_TOTAL_RETURN_SWAP = 2;
 const int AllocSettlInstType_USE_DEFAULT_INSTRUCTIONS = 0;
 const int AllocSettlInstType_DERIVE_FROM_PARAMETERS_PROVIDED = 1;
 const int AllocSettlInstType_FULL_DETAILS_PROVIDED = 2;
 const int AllocSettlInstType_SSI_DB_IDS_PROVIDED = 3;
 const int AllocSettlInstType_PHONE_FOR_INSTRUCTIONS = 4;
 const char DlvyInstType_SECURITIES = 'S';
 const char DlvyInstType_CASH = 'C';
 const int TerminationType_OVERNIGHT = 1;
 const int TerminationType_TERM = 2;
 const int TerminationType_FLEXIBLE = 3;
 const int TerminationType_OPEN = 4;
 const int SettlInstReqRejCode_UNABLE_TO_PROCESS_REQUEST = 0;
 const int SettlInstReqRejCode_UNKNOWN_ACCOUNT = 1;
 const int SettlInstReqRejCode_NO_MATCHING_SETTLEMENT_INSTRUCTIONS_FOUND = 2;
 const int AllocReportType_SELLSIDE_CALCULATED_USING_PRELIMINARY = 3;
 const int AllocReportType_SELLSIDE_CALCULATED_WITHOUT_PRELIMINARY = 4;
 const int AllocReportType_WAREHOUSE_RECAP = 5;
 const int AllocReportType_REQUEST_TO_INTERMEDIARY = 8;
 const int AllocCancReplaceReason_ORIGINAL_DETAILS_INCOMPLETE_INCORRECT = 1;
 const int AllocCancReplaceReason_CHANGE_IN_UNDERLYING_ORDER_DETAILS = 2;
 const int AllocAccountType_ACCOUNT_IS_CARRIED_ON_CUSTOMER_SIDE_OF_BOOKS = 1;
 const int AllocAccountType_ACCOUNT_IS_CARRIED_ON_NON_CUSTOMER_SIDE_OF_BOOKS = 2;
 const int AllocAccountType_HOUSE_TRADER = 3;
 const int AllocAccountType_FLOOR_TRADER = 4;
 const int AllocAccountType_ACCOUNT_IS_CARRIED_ON_NON_CUSTOMER_SIDE_OF_BOOKS_AND_IS_CROSS_MARGINED = 6;
 const int AllocAccountType_ACCOUNT_IS_HOUSE_TRADER_AND_IS_CROSS_MARGINED = 7;
 const int AllocAccountType_JOINT_BACKOFFICE_ACCOUNT = 8;
 const int AllocIntermedReqType_PENDING_ACCEPT = 1;
 const int AllocIntermedReqType_PENDING_RELEASE = 2;
 const int AllocIntermedReqType_PENDING_REVERSAL = 3;
 const int AllocIntermedReqType_ACCEPT = 4;
 const int AllocIntermedReqType_BLOCK_LEVEL_REJECT = 5;
 const int AllocIntermedReqType_ACCOUNT_LEVEL_REJECT = 6;
 const int ApplQueueResolution_NO_ACTION_TAKEN = 0;
 const int ApplQueueResolution_QUEUE_FLUSHED = 1;
 const int ApplQueueResolution_OVERLAY_LAST = 2;
 const int ApplQueueResolution_END_SESSION = 3;
 const int ApplQueueAction_NO_ACTION_TAKEN = 0;
 const int ApplQueueAction_QUEUE_FLUSHED = 1;
 const int ApplQueueAction_OVERLAY_LAST = 2;
 const int ApplQueueAction_END_SESSION = 3;
 const int AvgPxIndicator_NO_AVERAGE_PRICING = 0;
 const int AvgPxIndicator_TRADE_IS_PART_OF_AN_AVERAGE_PRICE_GROUP_IDENTIFIED_BY_THE_TRADELINKID = 1;
 const int AvgPxIndicator_LAST_TRADE_IN_THE_AVERAGE_PRICE_GROUP_IDENTIFIED_BY_THE_TRADELINKID = 2;
 const int TradeAllocIndicator_ALLOCATION_NOT_REQUIRED = 0;
 const int TradeAllocIndicator_ALLOCATION_REQUIRED = 1;
 const int TradeAllocIndicator_USE_ALLOCATION_PROVIDED_WITH_THE_TRADE = 2;
 const int ExpirationCycle_EXPIRE_ON_TRADING_SESSION_CLOSE = 0;
 const int ExpirationCycle_EXPIRE_ON_TRADING_SESSION_OPEN = 1;
 const int TrdType_REGULAR_TRADE = 0;
 const int TrdType_BLOCK_TRADE = 1;
 const int TrdType_EFP = 2;
 const int TrdType_TRANSFER = 3;
 const int TrdType_LATE_TRADE = 4;
 const int TrdType_T_TRADE = 5;
 const int TrdType_WEIGHTED_AVERAGE_PRICE_TRADE = 6;
 const int TrdType_BUNCHED_TRADE = 7;
 const int TrdType_LATE_BUNCHED_TRADE = 8;
 const int TrdType_PRIOR_REFERENCE_PRICE_TRADE = 9;
 const int PegMoveType_FLOATING = 0;
 const int PegMoveType_FIXED = 1;
 const int PegOffsetType_PRICE = 0;
 const int PegOffsetType_BASIS_POINTS = 1;
 const int PegOffsetType_TICKS = 2;
 const int PegOffsetType_PRICE_TIER_LEVEL = 3;
 const int PegLimitType_OR_BETTER = 0;
 const int PegLimitType_STRICT = 1;
 const int PegLimitType_OR_WORSE = 2;
 const int PegRoundDirection_MORE_AGGRESSIVE = 1;
 const int PegRoundDirection_MORE_PASSIVE = 2;
 const int PegScope_LOCAL = 1;
 const int PegScope_NATIONAL = 2;
 const int PegScope_GLOBAL = 3;
 const int PegScope_NATIONAL_EXCLUDING_LOCAL = 4;
 const int DiscretionMoveType_FLOATING = 0;
 const int DiscretionMoveType_FIXED = 1;
 const int DiscretionOffsetType_PRICE = 0;
 const int DiscretionOffsetType_BASIS_POINTS = 1;
 const int DiscretionOffsetType_TICKS = 2;
 const int DiscretionOffsetType_PRICE_TIER_LEVEL = 3;
 const int DiscretionLimitType_OR_BETTER = 0;
 const int DiscretionLimitType_STRICT = 1;
 const int DiscretionLimitType_OR_WORSE = 2;
 const int DiscretionRoundDirection_MORE_AGGRESSIVE = 1;
 const int DiscretionRoundDirection_MORE_PASSIVE = 2;
 const int DiscretionScope_LOCAL = 1;
 const int DiscretionScope_NATIONAL = 2;
 const int DiscretionScope_GLOBAL = 3;
 const int DiscretionScope_NATIONAL_EXCLUDING_LOCAL = 4;
 const int LastLiquidityInd_ADDED_LIQUIDITY = 1;
 const int LastLiquidityInd_REMOVED_LIQUIDITY = 2;
 const int LastLiquidityInd_LIQUIDITY_ROUTED_OUT = 3;
 const int ShortSaleReason_DEALER_SOLD_SHORT = 0;
 const int ShortSaleReason_DEALER_SOLD_SHORT_EXEMPT = 1;
 const int ShortSaleReason_SELLING_CUSTOMER_SOLD_SHORT = 2;
 const int ShortSaleReason_SELLING_CUSTOMER_SOLD_SHORT_EXEMPT = 3;
 const int ShortSaleReason_QUALIFED_SERVICE_REPRESENTATIVE_OR_AUTOMATIC_GIVEUP_CONTRA_SIDE_SOLD_SHORT = 4;
 const int ShortSaleReason_QSR_OR_AGU_CONTRA_SIDE_SOLD_SHORT_EXEMPT = 5;
 const int QtyType_UNITS = 0;
 const int QtyType_CONTRACTS = 1;
 const int TradeReportType_SUBMIT = 0;
 const int TradeReportType_ALLEGED = 1;
 const int TradeReportType_ACCEPT = 2;
 const int TradeReportType_DECLINE = 3;
 const int TradeReportType_ADDENDUM = 4;
 const int TradeReportType_NO_WAS = 5;
 const int TradeReportType_TRADE_REPORT_CANCEL = 6;
 const int TradeReportType_LOCKED_IN_TRADE_BREAK = 7;
 const int AllocNoOrdersType_NOT_SPECIFIED = 0;
 const int AllocNoOrdersType_EXPLICIT_LIST_PROVIDED = 1;
 const int EventType_PUT = 1;
 const int EventType_CALL = 2;
 const int EventType_TENDER = 3;
 const int EventType_SINKING_FUND_CALL = 4;
 const int InstrAttribType_FLAT = 1;
 const int InstrAttribType_ZERO_COUPON = 2;
 const int InstrAttribType_INTEREST_BEARING = 3;
 const int InstrAttribType_NO_PERIODIC_PAYMENTS = 4;
 const int InstrAttribType_VARIABLE_RATE = 5;
 const int InstrAttribType_LESS_FEE_FOR_PUT = 6;
 const int InstrAttribType_STEPPED_COUPON = 7;
 const int InstrAttribType_COUPON_PERIOD = 8;
 const int InstrAttribType_WHEN_AND_IF_ISSUED = 9;
 const int MiscFeeBasis_ABSOLUTE = 0;
 const int MiscFeeBasis_PER_UNIT = 1;
 const int MiscFeeBasis_PERCENTAGE = 2;
 const int CollAsgnReason_INITIAL = 0;
 const int CollAsgnReason_SCHEDULED = 1;
 const int CollAsgnReason_TIME_WARNING = 2;
 const int CollAsgnReason_MARGIN_DEFICIENCY = 3;
 const int CollAsgnReason_MARGIN_EXCESS = 4;
 const int CollAsgnReason_FORWARD_COLLATERAL_DEMAND = 5;
 const int CollAsgnReason_EVENT_OF_DEFAULT = 6;
 const int CollAsgnReason_ADVERSE_TAX_EVENT = 7;
 const int CollInquiryQualifier_TRADEDATE = 0;
 const int CollInquiryQualifier_GC_INSTRUMENT = 1;
 const int CollInquiryQualifier_COLLATERALINSTRUMENT = 2;
 const int CollInquiryQualifier_SUBSTITUTION_ELIGIBLE = 3;
 const int CollInquiryQualifier_NOT_ASSIGNED = 4;
 const int CollInquiryQualifier_PARTIALLY_ASSIGNED = 5;
 const int CollInquiryQualifier_FULLY_ASSIGNED = 6;
 const int CollInquiryQualifier_OUTSTANDING_TRADES = 7;
 const int CollAsgnTransType_NEW = 0;
 const int CollAsgnTransType_REPLACE = 1;
 const int CollAsgnTransType_CANCEL = 2;
 const int CollAsgnTransType_RELEASE = 3;
 const int CollAsgnTransType_REVERSE = 4;
 const int CollAsgnRespType_RECEIVED = 0;
 const int CollAsgnRespType_ACCEPTED = 1;
 const int CollAsgnRespType_DECLINED = 2;
 const int CollAsgnRespType_REJECTED = 3;
 const int CollAsgnRejectReason_UNKNOWN_DEAL = 0;
 const int CollAsgnRejectReason_UNKNOWN_OR_INVALID_INSTRUMENT = 1;
 const int CollAsgnRejectReason_UNAUTHORIZED_TRANSACTION = 2;
 const int CollAsgnRejectReason_INSUFFICIENT_COLLATERAL = 3;
 const int CollAsgnRejectReason_INVALID_TYPE_OF_COLLATERAL = 4;
 const int CollAsgnRejectReason_EXCESSIVE_SUBSTITUTION = 5;
 const int CollStatus_UNASSIGNED = 0;
 const int CollStatus_PARTIALLY_ASSIGNED = 1;
 const int CollStatus_ASSIGNMENT_PROPOSED = 2;
 const int CollStatus_ASSIGNED = 3;
 const int CollStatus_CHALLENGED = 4;
 const int DeliveryType_VERSUS_PAYMENT = 0;
 const int DeliveryType_FREE = 1;
 const int DeliveryType_TRI_PARTY = 2;
 const int DeliveryType_HOLD_IN_CUSTODY = 3;
 const int UserRequestType_LOGONUSER = 1;
 const int UserRequestType_LOGOFFUSER = 2;
 const int UserRequestType_CHANGEPASSWORDFORUSER = 3;
 const int UserRequestType_REQUEST_INDIVIDUAL_USER_STATUS = 4;
 const int UserStatus_LOGGED_IN = 1;
 const int UserStatus_NOT_LOGGED_IN = 2;
 const int UserStatus_USER_NOT_RECOGNISED = 3;
 const int UserStatus_PASSWORD_INCORRECT = 4;
 const int UserStatus_PASSWORD_CHANGED = 5;
 const int UserStatus_OTHER = 6;
 const int StatusValue_CONNECTED = 1;
 const int StatusValue_NOT_CONNECTED_DOWN_EXPECTED_UP = 2;
 const int StatusValue_NOT_CONNECTED_DOWN_EXPECTED_DOWN = 3;
 const int StatusValue_IN_PROCESS = 4;
 const int NetworkRequestType_SNAPSHOT = 1;
 const int NetworkRequestType_SUBSCRIBE = 2;
 const int NetworkRequestType_STOP_SUBSCRIBING = 4;
 const int NetworkRequestType_LEVEL_OF_DETAIL = 8;
 const int NetworkStatusResponseType_FULL = 1;
 const int NetworkStatusResponseType_INCREMENTAL_UPDATE = 2;
 const int TrdRptStatus_ACCEPTED = 0;
 const int TrdRptStatus_REJECTED = 1;
 const int AffirmStatus_RECEIVED = 1;
 const int AffirmStatus_CONFIRM_REJECTED = 2;
 const int AffirmStatus_AFFIRMED = 3;
 const int CollAction_RETAIN = 0;
 const int CollAction_ADD = 1;
 const int CollAction_REMOVE = 2;
 const int CollInquiryStatus_ACCEPTED = 0;
 const int CollInquiryStatus_ACCEPTED_WITH_WARNINGS = 1;
 const int CollInquiryStatus_COMPLETED = 2;
 const int CollInquiryStatus_COMPLETED_WITH_WARNINGS = 3;
 const int CollInquiryStatus_REJECTED = 4;
 const int CollInquiryResult_SUCCESSFUL = 0;
 const int CollInquiryResult_INVALID_OR_UNKNOWN_INSTRUMENT = 1;
 const int CollInquiryResult_INVALID_OR_UNKNOWN_COLLATERAL_TYPE = 2;
 const int CollInquiryResult_INVALID_PARTIES = 3;
 const int CollInquiryResult_INVALID_TRANSPORT_TYPE_REQUESTED = 4;
 const int CollInquiryResult_INVALID_DESTINATION_REQUESTED = 5;
 const int CollInquiryResult_NO_COLLATERAL_FOUND_FOR_THE_TRADE_SPECIFIED = 6;
 const int CollInquiryResult_NO_COLLATERAL_FOUND_FOR_THE_ORDER_SPECIFIED = 7;
 const int CollInquiryResult_COLLATERAL_INQUIRY_TYPE_NOT_SUPPORTED = 8;
 const int CollInquiryResult_UNAUTHORIZED_FOR_COLLATERAL_INQUIRY = 9;
 const int CollInquiryResult_OTHER = 99;
  const char SessionRejectReason_INVALID_TAG_NUMBER_TEXT[] = "Invalid tag number";
  const char SessionRejectReason_REQUIRED_TAG_MISSING_TEXT[] = "Required tag missing";
  const char SessionRejectReason_TAG_NOT_DEFINED_FOR_THIS_MESSAGE_TYPE_TEXT[] = "Tag not defined for this message type";
  const char SessionRejectReason_UNDEFINED_TAG_TEXT[] = "Undefined Tag";
  const char SessionRejectReason_TAG_SPECIFIED_WITHOUT_A_VALUE_TEXT[] = "Tag specified without a value";
  const char SessionRejectReason_VALUE_IS_INCORRECT_TEXT[] = "Value is incorrect (out of range) for this tag";
  const char SessionRejectReason_INCORRECT_DATA_FORMAT_FOR_VALUE_TEXT[] = "Incorrect data format for value";
  const char SessionRejectReason_DECRYPTION_PROBLEM_TEXT[] = "Decryption problem";
  const char SessionRejectReason_SIGNATURE_PROBLEM_TEXT[] = "Signature problem";
  const char SessionRejectReason_COMPID_PROBLEM_TEXT[] = "CompID problem";
  const char SessionRejectReason_SENDINGTIME_ACCURACY_PROBLEM_TEXT[] = "SendingTime accuracy problem";
  const char SessionRejectReason_INVALID_MSGTYPE_TEXT[] = "Invalid MsgType";
  const char SessionRejectReason_TAG_APPEARS_MORE_THAN_ONCE_TEXT[] = "Tag appears more than once";
  const char SessionRejectReason_TAG_SPECIFIED_OUT_OF_REQUIRED_ORDER_TEXT[] = "Tag specified out of required order";
  const char SessionRejectReason_INCORRECT_NUMINGROUP_COUNT_FOR_REPEATING_GROUP_TEXT[] = "Incorrect NumInGroup count for repeating group";
  const char BusinessRejectReason_OTHER_TEXT[] = "Other";
  const char BusinessRejectReason_UNKNOWN_ID_TEXT[] = "Unknown ID";
  const char BusinessRejectReason_UNKNOWN_SECURITY_TEXT[] = "Unknown Security";
  const char BusinessRejectReason_UNSUPPORTED_MESSAGE_TYPE_TEXT[] = "Unsupported Message Type";
  const char BusinessRejectReason_APPLICATION_NOT_AVAILABLE_TEXT[] = "Application Not Available";
  const char BusinessRejectReason_CONDITIONALLY_REQUIRED_FIELD_MISSING_TEXT[] = "Conditionally Required Field Missing";
  const char BusinessRejectReason_NOT_AUTHORIZED_TEXT[] = "Not Authorized";
  const char BusinessRejectReason_DELIVERTO_FIRM_NOT_AVAILABLE_AT_THIS_TIME_TEXT[] = "Deliver to firm not available at this time";
}
#endif //FIX_VALUES_H

